GNU bug report logs - #16923
24.3.50; reression: `set-frame-size' loses mode line

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Drew Adams <drew.adams@HIDDEN>; Keywords: moreinfo; dated Sun, 2 Mar 2014 20:06:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 28 Mar 2014 19:28:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 28 15:28:22 2014
Received: from localhost ([127.0.0.1]:55131 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WTcRw-000536-K9
	for submit <at> debbugs.gnu.org; Fri, 28 Mar 2014 15:28:20 -0400
Received: from mout.gmx.net ([212.227.15.18]:55633)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WTcRt-00052t-8X
 for 16923 <at> debbugs.gnu.org; Fri, 28 Mar 2014 15:28:18 -0400
Received: from [188.22.32.47] ([188.22.32.47]) by mail.gmx.com (mrgmx102) with
 ESMTPSA (Nemesis) id 0MRjd7-1WeIc91Mfh-00Szzd;
 Fri, 28 Mar 2014 20:28:12 +0100
Message-ID: <5335CD4A.7030402@HIDDEN>
Date: Fri, 28 Mar 2014 20:28:10 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default> <531ADEBC.9030200@HIDDEN>
 <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default> <531B6875.6030406@HIDDEN>
 <03e5d7cc-2348-42e4-9e39-1166b120ea2b@default> <531B7564.6030700@HIDDEN>
 <68c9bbe6-4347-4b80-8860-8b76e08f1137@default> <531C72F2.4080608@HIDDEN>
 <2bd68fd8-79a5-49be-80fe-c53d4a689320@default> <531CAF45.4090307@HIDDEN>
 <f4b69b4f-74ad-424e-94f9-b86f84f73f1b@default> <531D8024.6000501@HIDDEN>
 <e954ca05-64e5-4f5e-b940-1a8a744cf9cd@default>
In-Reply-To: <e954ca05-64e5-4f5e-b940-1a8a744cf9cd@default>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:5dQUySDRZvJDwvYhqFKC5tCPmt0IWgYCj6ZZV7BNnnVlbkc87T3
 rOiR4h6nk/7fifRrfIcmlcFbpSStxdW524F+eHinBmB7lqm+Z/rT7Qknjums1/ksatZ7hma
 Dc3YPMXPOm1wx77EHAS46CpmCa2rMUc24jJUjh3Q3QED6GcPb7ktHLhLUKViFHUKO+iKwFP
 uH2NWhG8SrI5tc0Ihf1tA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > 1. Ensure, I think, that the only calls to `set-frame-size' are from
 > my calling `fit-frame' interactively (via C-x C-_).  Nothing on
 > `post-command-hook' that invokes `set-frame-size', for instance.
 >
 > 2. Resized a frame manually (with the mouse), so that the next call
 > to `fit-frame' would actually change the size (to fit the buffer text).
 >
 > 3. C-x C-_ (`fit-frame'), which fit the frame, with no loss of the
 > mode line.
 >
 > 4.  C-x C-_ again, which fit the frame (as a no-op, no size change
 > needed), this time with loss of the mode line (the bug).
 >
 > Attached is the log, *window-frame-dump*.  After #3, I added a
 > line of zeros to the buffer, to make clear where the second call to
 > `fit-frame' (hence `set-frame-size') occurred.

Thanks.  The problem is that while in the first dump Windows and Emacs
agree about the frame's pixel height as

frame pixel: 511 x 528   cols/lines: 73 x 44   units: 7 x 12
                    ^^^
frame text pixel: 490 x 528   cols/lines: 70 x 44
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 519 608), (0 0 511 528)
                                   ^^^
they disagree in all remaining dumps

frame pixel: 728 x 828   cols/lines: 104 x 69   units: 7 x 12
                    ^^^
frame text pixel: 707 x 828   cols/lines: 101 x 69
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
                                   ^^^
by 24 pixels, incidentally (maybe) the equivalent of two lines of 12
pixels.  Please try two things now:

(1) Repeat the test once with a default character height of 11 pixels
     and once with say 14 pixels so we can tell whether the two lines
     paradigm holds.

(2) Try to replace `fit-frame' by (set-frame-size nil 101 69) so we can
     eliminate `fit-frame' as possible source of the problem and have an
     easier repeatable scenario.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 28 Mar 2014 15:30:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 28 11:30:10 2014
Received: from localhost ([127.0.0.1]:55009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WTYjQ-0007SB-91
	for submit <at> debbugs.gnu.org; Fri, 28 Mar 2014 11:30:09 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:42486)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WTYjK-0007RP-Rs
 for 16923 <at> debbugs.gnu.org; Fri, 28 Mar 2014 11:30:04 -0400
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s2SFU0EN020679
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 28 Mar 2014 15:30:01 GMT
Received: from aserz7021.oracle.com (aserz7021.oracle.com [141.146.126.230])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s2SFTxAZ004162
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Fri, 28 Mar 2014 15:30:00 GMT
Received: from abhmp0015.oracle.com (abhmp0015.oracle.com [141.146.116.21])
 by aserz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s2SFTxYH010858;
 Fri, 28 Mar 2014 15:29:59 GMT
MIME-Version: 1.0
Message-ID: <e954ca05-64e5-4f5e-b940-1a8a744cf9cd@default>
Date: Fri, 28 Mar 2014 08:29:59 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default> <531ADEBC.9030200@HIDDEN>
 <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default> <531B6875.6030406@HIDDEN>
 <03e5d7cc-2348-42e4-9e39-1166b120ea2b@default> <531B7564.6030700@HIDDEN>
 <68c9bbe6-4347-4b80-8860-8b76e08f1137@default> <531C72F2.4080608@HIDDEN>
 <2bd68fd8-79a5-49be-80fe-c53d4a689320@default> <531CAF45.4090307@HIDDEN>
 <f4b69b4f-74ad-424e-94f9-b86f84f73f1b@default> <531D8024.6000501@HIDDEN>
In-Reply-To: <531D8024.6000501@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: multipart/mixed;
 boundary="__1396020599609230019abhmp0015.oracle.com"
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

--__1396020599609230019abhmp0015.oracle.com
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable

Trying to pick up this bug thread again.  I'm afraid your last mail
is confusing to me at this point.

This is what I've done for this test:

1. Ensure, I think, that the only calls to `set-frame-size' are from
my calling `fit-frame' interactively (via C-x C-_).  Nothing on
`post-command-hook' that invokes `set-frame-size', for instance.

2. Resized a frame manually (with the mouse), so that the next call
to `fit-frame' would actually change the size (to fit the buffer text).

3. C-x C-_ (`fit-frame'), which fit the frame, with no loss of the
mode line.

4.  C-x C-_ again, which fit the frame (as a no-op, no size change
needed), this time with loss of the mode line (the bug).

Attached is the log, *window-frame-dump*.  After #3, I added a
line of zeros to the buffer, to make clear where the second call to
`fit-frame' (hence `set-frame-size') occurred.

The relevant lines from `fit-frame' are these:

(with-current-buffer (get-buffer-create "*window-frame-dump*")
  (insert (format "::: Requested WIDTH: %S, HEIGHT: %S\n" wid hgt)))
(set-frame-size frame wid hgt))))))

And this is the `window-dump-frame' code I used:

(defun window--dump-frame (&optional window-or-frame)
  "..."
  (interactive)
  (let* ((window
=09  (cond
=09   ((or (not window-or-frame)
=09=09(frame-live-p window-or-frame))
=09    (frame-root-window window-or-frame))
=09   ((or (window-live-p window-or-frame)
=09=09(window-child window-or-frame))
=09    window-or-frame)
=09   (t
=09    (frame-root-window))))
=09 (frame (window-frame window)))
    (with-current-buffer (get-buffer-create "*window-frame-dump*")
      ;;(erase-buffer)
      (insert
       (format "\nframe pixel: %s x %s   cols/lines: %s x %s   \
units: %s x %s\n"
=09       (frame-pixel-width frame) (frame-pixel-height frame)
=09       (frame-total-cols frame) (frame-text-lines frame)
=09       (frame-char-width frame) (frame-char-height frame))
       (format "frame text pixel: %s x %s   cols/lines: %s x %s\n"
=09       (frame-text-width frame) (frame-text-height frame)
=09       (frame-text-cols frame) (frame-text-lines frame))
       (format "tool: %s  scroll: %s  fringe: %s  border: %s  \
right: %s  bottom: %s\n"
=09       (tool-bar-height frame t)
=09       (frame-scroll-bar-width frame)
=09       (frame-fringe-width frame)
=09       (frame-border-width frame)
=09       (frame-right-divider-width frame)
=09       (frame-bottom-divider-width frame))
       (format "w32-rect: %S, %S\n"
               (w32-frame-rect frame)
               (w32-frame-rect frame t)))
      (walk-window-tree 'window--dump-window frame t t))))

HTH.
--__1396020599609230019abhmp0015.oracle.com
Content-Type: text/plain; charset=Windows-1252;
 name="throw-bug-16923-2014-03-27a.txt"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment; filename="throw-bug-16923-2014-03-27a.txt"

------------

frame pixel: 511 x 528   cols/lines: 73 x 44   units: 7 x 12
frame text pixel: 490 x 528   cols/lines: 70 x 44
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 519 608), (0 0 511 528)
#<window 14 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 511 x 528   new: 0
char left: 0   top: 0   size: 73 x 44   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 490 x 514   char: 70 x 42
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

::: Requested WIDTH: 101, HEIGHT: 69

frame pixel: 728 x 828   cols/lines: 104 x 69   units: 7 x 12
frame text pixel: 707 x 828   cols/lines: 101 x 69
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 14 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 828   new: 0
char left: 0   top: 0   size: 104 x 69   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 814   char: 101 x 67
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

0000000000000000000000000000000000000000000000000000000

------------

frame pixel: 728 x 804   cols/lines: 104 x 67   units: 7 x 12
frame text pixel: 707 x 804   cols/lines: 101 x 67
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 14 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 804   new: 0
char left: 0   top: 0   size: 104 x 67   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 790   char: 101 x 65
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

::: Requested WIDTH: 101, HEIGHT: 69

frame pixel: 728 x 828   cols/lines: 104 x 69   units: 7 x 12
frame text pixel: 707 x 828   cols/lines: 101 x 69
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 14 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 828   new: 0
char left: 0   top: 0   size: 104 x 69   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 814   char: 101 x 67
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0




--__1396020599609230019abhmp0015.oracle.com--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 10 Mar 2014 09:04:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 10 05:04:52 2014
Received: from localhost ([127.0.0.1]:58683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMw8g-0003Vr-Uq
	for submit <at> debbugs.gnu.org; Mon, 10 Mar 2014 05:04:52 -0400
Received: from mout.gmx.net ([212.227.15.15]:53935)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WMw8c-0003Vf-Nn
 for 16923 <at> debbugs.gnu.org; Mon, 10 Mar 2014 05:04:48 -0400
Received: from [188.23.120.186] ([188.23.120.186]) by mail.gmx.com (mrgmx102)
 with ESMTPSA (Nemesis) id 0M6fXs-1X8Bfq3Hm8-00wTaN;
 Mon, 10 Mar 2014 10:04:43 +0100
Message-ID: <531D8024.6000501@HIDDEN>
Date: Mon, 10 Mar 2014 10:04:36 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default> <531ADEBC.9030200@HIDDEN>
 <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default> <531B6875.6030406@HIDDEN>
 <03e5d7cc-2348-42e4-9e39-1166b120ea2b@default> <531B7564.6030700@HIDDEN>
 <68c9bbe6-4347-4b80-8860-8b76e08f1137@default> <531C72F2.4080608@HIDDEN>
 <2bd68fd8-79a5-49be-80fe-c53d4a689320@default> <531CAF45.4090307@HIDDEN>
 <f4b69b4f-74ad-424e-94f9-b86f84f73f1b@default>
In-Reply-To: <f4b69b4f-74ad-424e-94f9-b86f84f73f1b@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:78LA7TV0FLOGWSR7WqPc6XwZ4DoLp+99Py7KLrrZ1RSs4pnG8nZ
 ugTVfC8jzrV6ygwjNGSim3M+f7iiUlRLv492JqHjsAp7RL0NRdnzyEFGtmY9RPPGhI/t1e9
 C5SW9rwmBs71/QvMSf5Rcvb2K8m+4KokfCzZK8AoFxSz9aMrBSvgKBnd7k2xuuynrq+gopF
 C5vifYGfB5eEZcjagIdYw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > My code also calls `set-frame-size' on `minibuffer-exit-hook', to reset
 > the minibuffer frame size.  That's it.
 >
 > However, my code also calls `modify-frame-parameters' in many contexts
 > and locations.  I tested again, after removing two of those from
 > functions on `post-command-hook', including resizing the minibuffer frame
 > - see attached (*-04.txt), which shows the same problem as before.
 > I believe that I have eliminated all other uses of
 > `modify-frame-parameters' from the test.
 >
 > But if, for example, you have a suggested `defadvice' or something for
 > `set-frame-size' and `modify-frame-parameters' or whatever, I can try
 > that too.

I don't use advices so I can't suggest anything.  The only correct
approach is to run Emacs under gdb.

 >> Fine.  But I need a couple of tests in sequence.  Seven as the last time
 >> might be good - I want to know whether the w32-rect problem shows up as
 >> well.  In your first test it did - but not immediately.  In the present
 >> tests it did not.
 >
 > Unclear.  Please be clear about just what sequence of just which tests
 > you need.

Something like the sequence of the first seven tests you sent me, aka
throw-emacs-bug-16923.txt, however, with your new approach (only one
call of `window--dump-frame', show arguments of `set-frame-size').  I
say "something like" because I don't think that you can reproduce the
exactly same sequence of events as in throw-emacs-bug-16923.txt.

 >> Please do that and repeat the simple C-x C-_ test two times (I only need
 >> to see one ------------ between two dumps).
 >
 > Attached, as *-05.txt.  As mentioned before, that stops the mode line
 > from disappearing, and it breaks thumbifying.

OK.  I don't have the slightest idea how this can have worked for you
as intended.

 > ::: Requested WIDTH: 101, HEIGHT: 69
 >
 > frame pixel: 728 x 804   cols/lines: 104 x 67   units: 7 x 12
 > frame text pixel: 707 x 804   cols/lines: 101 x 67
 > tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
 > w32-rect: (0 0 736 884), (0 0 728 804)
 > #<window 14 on throw-fit-frm.el>   parent: nil
 > pixel left: 0   top: 0   size: 728 x 804   new: 0
 > char left: 0   top: 0   size: 104 x 67   new: 0
 > normal: 1.0 x 1.0   new: 0
 > body pixel: 707 x 790   char: 101 x 65
 > width left fringe: 0  left margin: 0  right margin: 0
 > width right fringe: 0  scroll-bar: 21  divider: 0
 > height header-line: 0  mode-line: 14  divider: 0
 >
 > ------------

Here you should see 101 columns and 69 lines, but according to what gets
printed below you see 97 columns and 59 lines - ten lines less than
requested.  How many lines do you really see here, say by comparing the
numbers of the lines on top and bottom of the throw-fit-frm.el window?
If you really see 69 lines, then please call `window--frame-dump' on
that frame interactively here.  If it still prints 59 lines, we at least
have found a stable configuration where the dump produces a result that
does not match what you see.

 > frame pixel: 679 x 708   cols/lines: 97 x 59   units: 7 x 12
 > frame text pixel: 658 x 708   cols/lines: 94 x 59
 > tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
 > w32-rect: (0 0 687 788), (0 0 679 708)
 > #<window 14 on throw-fit-frm.el>   parent: nil
 > pixel left: 0   top: 0   size: 679 x 708   new: 0
 > char left: 0   top: 0   size: 97 x 59   new: 0
 > normal: 1.0 x 1.0   new: 0
 > body pixel: 658 x 694   char: 94 x 57
 > width left fringe: 0  left margin: 0  right margin: 0
 > width right fringe: 0  scroll-bar: 21  divider: 0
 > height header-line: 0  mode-line: 14  divider: 0

I just see the same problem as with the `w32-enable-frame-resize-hack' t
case, that is, the size of the frame recorded does not match the size of
the frame you requested.

 >> This would be fine but I don't see that anywhere in the dumps.  That is,
 >> I see that you request 101 columns and get 104 but that might be another
 >> issue.
 >
 > No, I already stated that that corresponds to the (correct) frame fitting.
 > By correct I mean that the frame size changed and the mode line was not
 > lost.

By correct I mean that you have to get the size you requested.  As long
as I cannot resolve the size mystery I cannot continue investigating the
mode line bug - it's the former that might cause the later.

 > And as you have now requested multiple dump files, you had better
 > cite just which file you are referring to from now on, when you make such
 > comments.  I assume that you meant throw-emacs-bug-16923-ter.txt here.
 > That file shows a correct resizing with no mode-line loss, followed by
 > no size change but with mode-line loss.

I always refer to what you send me along with the mail.  And in the mail
you said

 > The two attachments show the same test, repeated.

without further specification so I didn't care.  IIUC you mean that the
dumps from throw-emacs-bug-16923-bis.txt reflect a change of the frame
size while that of throw-emacs-bug-16923-ter.txt reflect a mode line
loss without frame size change and was done immediately after the
former.  Is that so?

 >>  > IOW, it seems that what is needed is first (a) an actual change in
 >>  > frame size by `set-frame-size' and then (b) a `set-frame-size' that
 >>  > does not actually change the size.  Both (a) and (b) seem necessary
 >>  > to lose the mode line.  If I start with a frame that already has the
 >>  > target size (i.e., it has already been fit), then repeating `fit-frame'
 >>  > has no visible effect, including no loss of the mode line.
 >>
 >> Can you provide a dump of that sequence supported by a good explanation
 >> of what you did?
 >
 > What sequence?  I provided a good explanation of what I did.
 > Please be specific about just what recipe you want followed.

The sequence of actions starting with "IOW, it seems that what is needed
is first (a) an actual change in frame size ...".

 > Emacs has so far never surprised me with the wrong frame size.  So far,
 > it has resized the frame as I expectd each time.  The only problem is the
 > loss of the mode line - not the size of the frame.

Unfortunately, I can't reproduce that here.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 9 Mar 2014 19:14:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 09 15:14:45 2014
Received: from localhost ([127.0.0.1]:58385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMjBM-0003Qd-6E
	for submit <at> debbugs.gnu.org; Sun, 09 Mar 2014 15:14:45 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:29314)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WMjBI-0003QO-Vb
 for 16923 <at> debbugs.gnu.org; Sun, 09 Mar 2014 15:14:42 -0400
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s29JEdKL029260
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sun, 9 Mar 2014 19:14:40 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s29JEcRK007709
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Sun, 9 Mar 2014 19:14:39 GMT
Received: from abhmp0014.oracle.com (abhmp0014.oracle.com [141.146.116.20])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s29JEc84007703;
 Sun, 9 Mar 2014 19:14:38 GMT
MIME-Version: 1.0
Message-ID: <f4b69b4f-74ad-424e-94f9-b86f84f73f1b@default>
Date: Sun, 9 Mar 2014 12:14:40 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default> <53177AEF.9050106@HIDDEN>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default> <531ADEBC.9030200@HIDDEN>
 <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default> <531B6875.6030406@HIDDEN>
 <03e5d7cc-2348-42e4-9e39-1166b120ea2b@default> <531B7564.6030700@HIDDEN>
 <68c9bbe6-4347-4b80-8860-8b76e08f1137@default> <531C72F2.4080608@HIDDEN>
 <2bd68fd8-79a5-49be-80fe-c53d4a689320@default> <531CAF45.4090307@HIDDEN>
In-Reply-To: <531CAF45.4090307@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: multipart/mixed;
 boundary="__1394392478142332abhmp0014.oracle.com"
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--__1394392478142332abhmp0014.oracle.com
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable

>  > I cannot be sure that something, somewhere else did not issue another
>  > call of `set-frame-size', no.  My debugging is limited to `fit-frame'
>  > calls.
>=20
> But you can make sure that that something, somewhere is not part of your
> code?

My code also calls `set-frame-size' on `minibuffer-exit-hook', to reset
the minibuffer frame size.  That's it.

However, my code also calls `modify-frame-parameters' in many contexts
and locations.  I tested again, after removing two of those from
functions on `post-command-hook', including resizing the minibuffer frame
- see attached (*-04.txt), which shows the same problem as before.
I believe that I have eliminated all other uses of
`modify-frame-parameters' from the test.

But if, for example, you have a suggested `defadvice' or something for
`set-frame-size' and `modify-frame-parameters' or whatever, I can try
that too.

>  > I made another test.  I removed the form feed from `window-dump-frame'
>  > and I have `fit-frame' call `window-dump-frame' only once before and o=
nce
>  > after `set-frame-size'.  And I have `fit-frame' print the requested ne=
w
>  > width and height, before calling `set-frame-size'.
>=20
> Very good.
>=20
>  > I tested it using `C-x C-_', which is bound to `fit-frame'.  See
>  > attached.
>=20
> Fine.  But I need a couple of tests in sequence.  Seven as the last time
> might be good - I want to know whether the w32-rect problem shows up as
> well.  In your first test it did - but not immediately.  In the present
> tests it did not.

Unclear.  Please be clear about just what sequence of just which tests
you need.

>  > It shows that the height, as reported by `window--dump-frame', changed
>  > from 69 to 62 after the dump that reported the result of the first
>  > `set-frame-size'.  Why that would be is a mystery to me.
>  >
>  > It shows that the resulting height of the second `set-frame-size', whi=
ch
>  > caused the mode line to disappear, is correct: 69.  (But the starting
>  > height, according to `window--dump-frame', was unexpected - see above.=
)
>=20
> I think both problems

What are "both problems"?  I have seen only one problem, AFAIK: loss of
the mode line.

> disappear when you set `w32-enable-frame-resize-hack' to nil.
> Please do that and repeat the simple C-x C-_ test two times (I only need
> to see one ------------ between two dumps).

Attached, as *-05.txt.  As mentioned before, that stops the mode line
from disappearing, and it breaks thumbifying.

> For the moment, this is the most important test.
>=20
>  > The two attachments show the same test, repeated.  But here is some
>  > more info that may help:
>  >
>  > If I just repeat calls to `fit-frame' when the frame is already the
>  > right size then the mode line does not disappear.  To manifest the
>  > problem, I must first manually resize the frame (e.g. with the mouse)
>  > so that `fit-frame' will actually resize it (change its size).  Then,
>  > after that first `fit-frame' resizes it correctly, a second `fit-frame=
'
>  > leads to the debug output attached: the mode line is lost, and the
>  > dump output from `fit-frame' BEFORE the `set-frame-size' shows an
>  > incorrect height value.
>=20
> This would be fine but I don't see that anywhere in the dumps.  That is,
> I see that you request 101 columns and get 104 but that might be another
> issue.

No, I already stated that that corresponds to the (correct) frame fitting.
By correct I mean that the frame size changed and the mode line was not
lost.

And as you have now requested multiple dump files, you had better
cite just which file you are referring to from now on, when you make such
comments.  I assume that you meant throw-emacs-bug-16923-ter.txt here.
That file shows a correct resizing with no mode-line loss, followed by
no size change but with mode-line loss.

>  > IOW, it seems that what is needed is first (a) an actual change in
>  > frame size by `set-frame-size' and then (b) a `set-frame-size' that
>  > does not actually change the size.  Both (a) and (b) seem necessary
>  > to lose the mode line.  If I start with a frame that already has the
>  > target size (i.e., it has already been fit), then repeating `fit-frame=
'
>  > has no visible effect, including no loss of the mode line.
>=20
> Can you provide a dump of that sequence supported by a good explanation
> of what you did?

What sequence?  I provided a good explanation of what I did.
Please be specific about just what recipe you want followed.

>  > Note too that even though the dump shows an incorrect height value,
>  > there is nothing visual that corresponds to this: The frame height
>  > after the frame is fit (correctly) does not visibly change when the
>  > second `fit-frame' is called.  The only visible effect of the second
>  > `fit-frame' is that the mode line disappears.
>  >
>  > IOW, `fit-frame', and thus `set-frame-size', seem to be doing their
>  > job correctly.  As you point out, and as these dumps show once again,
>  > something internal in Emacs seems to think that the height is less
>  > than it actually is (by 6 units, in this case).  The new, requested
>  > frame height is applied correctly.
>=20
> Obviously, if Emacs (1) stores inside a bad value you do not see and you
> (2) ask it to change the frame size to itself, then (3) Emacs might
> surprise you with a frame with the bad value stored in (1).  That's what
> we have to find out.

Emacs has so far never surprised me with the wrong frame size.  So far,
it has resized the frame as I expectd each time.  The only problem is the
loss of the mode line - not the size of the frame.
--__1394392478142332abhmp0014.oracle.com
Content-Type: text/plain; charset=Windows-1252;
 name="throw-emacs-bug-16923-04.txt"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment; filename="throw-emacs-bug-16923-04.txt"

------------

frame pixel: 728 x 804   cols/lines: 104 x 67   units: 7 x 12
frame text pixel: 707 x 804   cols/lines: 101 x 67
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 14 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 804   new: 0
char left: 0   top: 0   size: 104 x 67   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 790   char: 101 x 65
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

::: Requested WIDTH: 101, HEIGHT: 69

frame pixel: 728 x 828   cols/lines: 104 x 69   units: 7 x 12
frame text pixel: 707 x 828   cols/lines: 101 x 69
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 14 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 828   new: 0
char left: 0   top: 0   size: 104 x 69   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 814   char: 101 x 67
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

------------

frame pixel: 728 x 684   cols/lines: 104 x 57   units: 7 x 12
frame text pixel: 707 x 684   cols/lines: 101 x 57
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 764), (0 0 728 684)
#<window 14 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 684   new: 0
char left: 0   top: 0   size: 104 x 57   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 670   char: 101 x 55
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

::: Requested WIDTH: 101, HEIGHT: 69

frame pixel: 728 x 828   cols/lines: 104 x 69   units: 7 x 12
frame text pixel: 707 x 828   cols/lines: 101 x 69
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 14 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 828   new: 0
char left: 0   top: 0   size: 104 x 69   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 814   char: 101 x 67
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0


--__1394392478142332abhmp0014.oracle.com
Content-Type: text/plain; charset=Windows-1252;
 name="throw-emacs-bug-16923-05.txt"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment; filename="throw-emacs-bug-16923-05.txt"

------------

frame pixel: 728 x 804   cols/lines: 104 x 67   units: 7 x 12
frame text pixel: 707 x 804   cols/lines: 101 x 67
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 14 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 804   new: 0
char left: 0   top: 0   size: 104 x 67   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 790   char: 101 x 65
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

::: Requested WIDTH: 101, HEIGHT: 69

frame pixel: 728 x 804   cols/lines: 104 x 67   units: 7 x 12
frame text pixel: 707 x 804   cols/lines: 101 x 67
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 14 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 804   new: 0
char left: 0   top: 0   size: 104 x 67   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 790   char: 101 x 65
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

------------

frame pixel: 679 x 708   cols/lines: 97 x 59   units: 7 x 12
frame text pixel: 658 x 708   cols/lines: 94 x 59
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 687 788), (0 0 679 708)
#<window 14 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 679 x 708   new: 0
char left: 0   top: 0   size: 97 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 658 x 694   char: 94 x 57
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

::: Requested WIDTH: 101, HEIGHT: 69

frame pixel: 679 x 708   cols/lines: 97 x 59   units: 7 x 12
frame text pixel: 658 x 708   cols/lines: 94 x 59
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 14 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 679 x 708   new: 0
char left: 0   top: 0   size: 97 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 658 x 694   char: 94 x 57
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0



--__1394392478142332abhmp0014.oracle.com--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 9 Mar 2014 18:13:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 09 14:13:34 2014
Received: from localhost ([127.0.0.1]:58339 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMiE8-0001al-Vp
	for submit <at> debbugs.gnu.org; Sun, 09 Mar 2014 14:13:33 -0400
Received: from mout.gmx.net ([212.227.17.21]:53198)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WMiE6-0001ab-9C
 for 16923 <at> debbugs.gnu.org; Sun, 09 Mar 2014 14:13:31 -0400
Received: from [188.23.124.201] ([188.23.124.201]) by mail.gmx.com (mrgmx102)
 with ESMTPSA (Nemesis) id 0MNw0t-1WGwXC02TD-007Wq4;
 Sun, 09 Mar 2014 19:13:29 +0100
Message-ID: <531CAF45.4090307@HIDDEN>
Date: Sun, 09 Mar 2014 19:13:25 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default> <53177AEF.9050106@HIDDEN>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default> <531ADEBC.9030200@HIDDEN>
 <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default> <531B6875.6030406@HIDDEN>
 <03e5d7cc-2348-42e4-9e39-1166b120ea2b@default> <531B7564.6030700@HIDDEN>
 <68c9bbe6-4347-4b80-8860-8b76e08f1137@default> <531C72F2.4080608@HIDDEN>
 <2bd68fd8-79a5-49be-80fe-c53d4a689320@default>
In-Reply-To: <2bd68fd8-79a5-49be-80fe-c53d4a689320@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:dLNfn5cR4+DPiCs5aiamrCBqgLGrthm39PIfhK5ofYasmnMu9fO
 k4lEtUmfPiBi0YosRJ2zv2LgzjT7GOtOF81LuB17AZdceHZImAYn0R9FNSrhCTMUesgFDpb
 oc5oprvtSAG9YQKjIBa7W2F3B1CyrET5Y675Kix7i6DIgRwIP6QUMCMjzdDLcQZaWYDTfzY
 Dfxwm3XhgVQdi3jU+6X4Q==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > I cannot be sure that something, somewhere else did not issue another call
 > of `set-frame-size', no.  My debugging is limited to `fit-frame' calls.

But you can make sure that that something, somewhere is not part of your
code?

 > Yes.  But again, where does the dump show a _request_ of 59?  What line
 > 48 shows is the _result_ of resizing to 59.  And again, IIRC that was
 > the right thing to do - the only place where the mode line disappeared
 > in this debug file is at the end.  But I am repeating what I've already
 > repeated.

Your assertion of how you obtained the dump permits such the conclusion
that 59 was the requested size.  In your bis dump it's 69.

 >> Line 138 is from the first `window--dump-frame' call following the
 >> _second_ `set-frame-size' resize request you recorded.  I'm talking
 >> about the _first_ `set-frame-size' request you recorded.
 >
 > As I said, IIRC, there was no problem with that first `set-frame-size'
 > (before line 48).  The mode line did not disappear at that resizing.

But the dump was inconsistent with what you saw.

 > I made another test.  I removed the form feed from `window-dump-frame'
 > and I have `fit-frame' call `window-dump-frame' only once before and once
 > after `set-frame-size'.  And I have `fit-frame' print the requested new
 > width and height, before calling `set-frame-size'.

Very good.

 > I tested it using `C-x C-_', which is bound to `fit-frame'.  See attached.

Fine.  But I need a couple of tests in sequence.  Seven as the last time
might be good - I want to know whether the w32-rect problem shows up as
well.  In your first test it did - but not immediately.  In the present
tests it did not.

 > It shows that the height, as reported by `window--dump-frame', changed
 > from 69 to 62 after the dump that reported the result of the first
 > `set-frame-size'.  Why that would be is a mystery to me.
 >
 > It shows that the resulting height of the second `set-frame-size', which
 > caused the mode line to disappear, is correct: 69.  (But the starting
 > height, according to `window--dump-frame', was unexpected - see above.)

I think both problems disappear when you set
`w32-enable-frame-resize-hack' to nil.  Please do that and repeat the
simple C-x C-_ test two times (I only need to see one ------------
between two dumps).  For the moment, this is the most important test.

 > The two attachments show the same test, repeated.  But here is some
 > more info that may help:
 >
 > If I just repeat calls to `fit-frame' when the frame is already the
 > right size then the mode line does not disappear.  To manifest the
 > problem, I must first manually resize the frame (e.g. with the mouse)
 > so that `fit-frame' will actually resize it (change its size).  Then,
 > after that first `fit-frame' resizes it correctly, a second `fit-frame'
 > leads to the debug output attached: the mode line is lost, and the
 > dump output from `fit-frame' BEFORE the `set-frame-size' shows an
 > incorrect height value.

This would be fine but I don't see that anywhere in the dumps.  That is,
I see that you request 101 columns and get 104 but that might be another
issue.

 > IOW, it seems that what is needed is first (a) an actual change in
 > frame size by `set-frame-size' and then (b) a `set-frame-size' that
 > does not actually change the size.  Both (a) and (b) seem necessary
 > to lose the mode line.  If I start with a frame that already has the
 > target size (i.e., it has already been fit), then repeating `fit-frame'
 > has no visible effect, including no loss of the mode line.

Can you provide a dump of that sequence supported by a good explanation
of what you did?

 > Note too that even though the dump shows an incorrect height value,
 > there is nothing visual that corresponds to this: The frame height
 > after the frame is fit (correctly) does not visibly change when the
 > second `fit-frame' is called.  The only visible effect of the second
 > `fit-frame' is that the mode line disappears.
 >
 > IOW, `fit-frame', and thus `set-frame-size', seem to be doing their
 > job correctly.  As you point out, and as these dumps show once again,
 > something internal in Emacs seems to think that the height is less
 > than it actually is (by 6 units, in this case).  The new, requested
 > frame height is applied correctly.

Obviously, if Emacs (1) stores inside a bad value you do not see and you
(2) ask it to change the frame size to itself, then (3) Emacs might
surprise you with a frame with the bad value stored in (1).  That's what
we have to find out.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 9 Mar 2014 16:35:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 09 12:35:47 2014
Received: from localhost ([127.0.0.1]:58306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMghW-000791-0O
	for submit <at> debbugs.gnu.org; Sun, 09 Mar 2014 12:35:46 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:46439)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WMghS-00078n-6W
 for 16923 <at> debbugs.gnu.org; Sun, 09 Mar 2014 12:35:44 -0400
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s29GZdei001760
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sun, 9 Mar 2014 16:35:40 GMT
Received: from userz7022.oracle.com (userz7022.oracle.com [156.151.31.86])
 by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s29GZci5022346
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Sun, 9 Mar 2014 16:35:39 GMT
Received: from abhmp0018.oracle.com (abhmp0018.oracle.com [141.146.116.24])
 by userz7022.oracle.com (8.14.5+Sun/8.14.4) with ESMTP id s29GZc3Q010067;
 Sun, 9 Mar 2014 16:35:38 GMT
MIME-Version: 1.0
Message-ID: <2bd68fd8-79a5-49be-80fe-c53d4a689320@default>
Date: Sun, 9 Mar 2014 09:35:40 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default> <53176AF2.9010800@HIDDEN>
 <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default> <53177AEF.9050106@HIDDEN>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default> <531ADEBC.9030200@HIDDEN>
 <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default> <531B6875.6030406@HIDDEN>
 <03e5d7cc-2348-42e4-9e39-1166b120ea2b@default> <531B7564.6030700@HIDDEN>
 <68c9bbe6-4347-4b80-8860-8b76e08f1137@default> <531C72F2.4080608@HIDDEN>
In-Reply-To: <531C72F2.4080608@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: multipart/mixed;
 boundary="__1394382937949257797abhmp0018.oracle.com"
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--__1394382937949257797abhmp0018.oracle.com
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable

>  >> This means that the frame size changes across the "------------" on l=
ine
>  >> 91.  And it changes again across the next two "------------"'s.  Can =
you
>  >> explain that?
>=20
> It's important to get a trace of _every_ call of `set-frame-size' for
> that frame - no matter where it comes from.  Are you sure you did that?

I cannot be sure that something, somewhere else did not issue another call
of `set-frame-size', no.  My debugging is limited to `fit-frame' calls.

> And I take it granted that for each `set-frame-size' you inserted a
> "------------" in the buffer, then three identical `window--dump-frame'
> outputs before the call to `set-frame-size' each preceded by a form feed
> and then three identical `window--dump-frame' outputs after the call to
> `set-frame-size' each preceded by a form feed too. =20

Correct, wrt the call to `set-frame-size' within `fit-frame'.  See above.

> Then you did the same for the next `set-frame-size' call.  Can you
> confirm that?  If not, please elaborate.

Yes, AFAIK, IIRC.  And as I've already confirmed several times now.

>  >> If it's caused by the window manager, then you should
>  >> notice that the heights don't fit already there (you got 51 lines
>  >> instead of the 59 you requested).
>  >
>  > What shows a request of 59 and a result of 51?  I see `51' on line 93,
>  > which I guess you are saying is the resulting frame size (?).  But
>  > resulting from what size request?  Where do you see the `59' as an
>  > indication of what size was requested?
>=20
> On line 48:
> frame pixel: 627 x 856   cols/lines: 75 x 59   units: 8 x 14
>=20
> From the interpretation I gave above this line results from the first
> `window--dump-frame' call following the very first `set-frame-size' call
> you recorded.  Can you see that?  Is my interpretation correct?

Yes.  But again, where does the dump show a _request_ of 59?  What line
48 shows is the _result_ of resizing to 59.  And again, IIRC that was
the right thing to do - the only place where the mode line disappeared
in this debug file is at the end.  But I am repeating what I've already
repeated.

>  > What I think I see instead is this:
>  > 3 calls to w32* before the resize request, showing a height of 51,
>  > followed by 3 more calls to w32* after the resize request, showing
>  > a height of 59 (starting on line 138).
>=20
> Line 138 is from the first `window--dump-frame' call following the
> _second_ `set-frame-size' resize request you recorded.  I'm talking
> about the _first_ `set-frame-size' request you recorded.

As I said, IIRC, there was no problem with that first `set-frame-size'
(before line 48).  The mode line did not disappear at that resizing.

But it's possible that I am not remembering correctly.  (So I repeated
the test - below.)

> And please make only one call of `window--dump-frame' before and one
> call after each `set-frame-size' call.  And please don't insert any form
> feeds - they might easily corrupt any communication about which line of
> dumped text we are on.
>=20
> ... But what apparently happened is that after
> the last (of six) `window--dump-frame' calles belonging to the first
> `set-frame-size' request and before the first `window--dump-frame' call
> belonging to the second `set-frame-size' request the size of the frame
> changed as in lines 78 to 104 of throw-emacs-bug-16923.txt:
> ...
> And this change is unexplained yet.  What height did you see and
> what height did you expect to see at the time you hit `s' before the
> "------------" was drawn in this excerpt - 59 or 51 lines?

Dunno.

---

I made another test.  I removed the form feed from `window-dump-frame'
and I have `fit-frame' call `window-dump-frame' only once before and once
after `set-frame-size'.  And I have `fit-frame' print the requested new
width and height, before calling `set-frame-size'.

I tested it using `C-x C-_', which is bound to `fit-frame'.  See attached.

It shows that the height, as reported by `window--dump-frame', changed
from 69 to 62 after the dump that reported the result of the first
`set-frame-size'.  Why that would be is a mystery to me.

It shows that the resulting height of the second `set-frame-size', which
caused the mode line to disappear, is correct: 69.  (But the starting
height, according to `window--dump-frame', was unexpected - see above.)

The two attachments show the same test, repeated.  But here is some
more info that may help:

If I just repeat calls to `fit-frame' when the frame is already the
right size then the mode line does not disappear.  To manifest the
problem, I must first manually resize the frame (e.g. with the mouse)
so that `fit-frame' will actually resize it (change its size).  Then,
after that first `fit-frame' resizes it correctly, a second `fit-frame'
leads to the debug output attached: the mode line is lost, and the
dump output from `fit-frame' BEFORE the `set-frame-size' shows an
incorrect height value.

IOW, it seems that what is needed is first (a) an actual change in
frame size by `set-frame-size' and then (b) a `set-frame-size' that
does not actually change the size.  Both (a) and (b) seem necessary
to lose the mode line.  If I start with a frame that already has the
target size (i.e., it has already been fit), then repeating `fit-frame'
has no visible effect, including no loss of the mode line.

Note too that even though the dump shows an incorrect height value,
there is nothing visual that corresponds to this: The frame height
after the frame is fit (correctly) does not visibly change when the
second `fit-frame' is called.  The only visible effect of the second
`fit-frame' is that the mode line disappears.

IOW, `fit-frame', and thus `set-frame-size', seem to be doing their
job correctly.  As you point out, and as these dumps show once again,
something internal in Emacs seems to think that the height is less
than it actually is (by 6 units, in this case).  The new, requested
frame height is applied correctly.

HTH.
--__1394382937949257797abhmp0018.oracle.com
Content-Type: text/plain; charset=Windows-1252;
 name="throw-emacs-bug-16923-bis.txt"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment; filename="throw-emacs-bug-16923-bis.txt"

------------

frame pixel: 728 x 804   cols/lines: 104 x 67   units: 7 x 12
frame text pixel: 707 x 804   cols/lines: 101 x 67
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 30 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 804   new: 0
char left: 0   top: 0   size: 104 x 67   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 790   char: 101 x 65
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

::: Requested WIDTH: 101, HEIGHT: 69

frame pixel: 728 x 828   cols/lines: 104 x 69   units: 7 x 12
frame text pixel: 707 x 828   cols/lines: 101 x 69
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 30 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 828   new: 0
char left: 0   top: 0   size: 104 x 69   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 814   char: 101 x 67
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

------------

frame pixel: 728 x 744   cols/lines: 104 x 62   units: 7 x 12
frame text pixel: 707 x 744   cols/lines: 101 x 62
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 824), (0 0 728 744)
#<window 30 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 744   new: 0
char left: 0   top: 0   size: 104 x 62   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 730   char: 101 x 60
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

::: Requested WIDTH: 101, HEIGHT: 69

frame pixel: 728 x 828   cols/lines: 104 x 69   units: 7 x 12
frame text pixel: 707 x 828   cols/lines: 101 x 69
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 30 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 828   new: 0
char left: 0   top: 0   size: 104 x 69   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 814   char: 101 x 67
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0


--__1394382937949257797abhmp0018.oracle.com
Content-Type: text/plain; charset=Windows-1252;
 name="throw-emacs-bug-16923-ter.txt"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment; filename="throw-emacs-bug-16923-ter.txt"

------------

frame pixel: 728 x 804   cols/lines: 104 x 67   units: 7 x 12
frame text pixel: 707 x 804   cols/lines: 101 x 67
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 30 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 804   new: 0
char left: 0   top: 0   size: 104 x 67   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 790   char: 101 x 65
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

::: Requested WIDTH: 101, HEIGHT: 69

frame pixel: 728 x 828   cols/lines: 104 x 69   units: 7 x 12
frame text pixel: 707 x 828   cols/lines: 101 x 69
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 30 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 828   new: 0
char left: 0   top: 0   size: 104 x 69   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 814   char: 101 x 67
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

------------

frame pixel: 686 x 756   cols/lines: 98 x 63   units: 7 x 12
frame text pixel: 665 x 756   cols/lines: 95 x 63
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 694 836), (0 0 686 756)
#<window 30 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 686 x 756   new: 0
char left: 0   top: 0   size: 98 x 63   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 665 x 742   char: 95 x 61
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0

::: Requested WIDTH: 101, HEIGHT: 69

frame pixel: 728 x 828   cols/lines: 104 x 69   units: 7 x 12
frame text pixel: 707 x 828   cols/lines: 101 x 69
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2
w32-rect: (0 0 736 884), (0 0 728 804)
#<window 30 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 828   new: 0
char left: 0   top: 0   size: 104 x 69   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 814   char: 101 x 67
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0


--__1394382937949257797abhmp0018.oracle.com--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 9 Mar 2014 13:56:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 09 09:56:14 2014
Received: from localhost ([127.0.0.1]:57810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMeD7-0002fq-6F
	for submit <at> debbugs.gnu.org; Sun, 09 Mar 2014 09:56:13 -0400
Received: from mout.gmx.net ([212.227.15.18]:57786)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WMeD2-0002dj-2e
 for 16923 <at> debbugs.gnu.org; Sun, 09 Mar 2014 09:56:10 -0400
Received: from [194.118.140.20] ([194.118.140.20]) by mail.gmx.com (mrgmx101)
 with ESMTPSA (Nemesis) id 0M6730-1X7S4C1wb4-00y7y0;
 Sun, 09 Mar 2014 14:56:06 +0100
Message-ID: <531C72F2.4080608@HIDDEN>
Date: Sun, 09 Mar 2014 14:56:02 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default> <53176AF2.9010800@HIDDEN>
 <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default> <53177AEF.9050106@HIDDEN>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default> <531ADEBC.9030200@HIDDEN>
 <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default> <531B6875.6030406@HIDDEN>
 <03e5d7cc-2348-42e4-9e39-1166b120ea2b@default> <531B7564.6030700@HIDDEN>
 <68c9bbe6-4347-4b80-8860-8b76e08f1137@default>
In-Reply-To: <68c9bbe6-4347-4b80-8860-8b76e08f1137@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:Dxc7CaJClE9zUM9nKhdmEUntQSxT4TNw+Wq499Nn5qpuri9W0XK
 e2iFLAutSRQ/qAef7EGm1xsU1mPHLHf4gUFbRpcq/z2Ln4ufTIs5Fy9v9AJjZdr64ZbK/h4
 27Pp6OVGv9nwaaFSO9ykkimweU9++hLfEmE8/NKjSDAY35fw1FIwHM6D16BqwYAXers1VSh
 3U4qkhZJoR7aDhOA6lDIg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >> This means that the frame size changes across the "------------" on line
 >> 91.  And it changes again across the next two "------------"'s.  Can you
 >> explain that?
 >
 > I'm not sure I get your drift.  But as I said, IIRC, each time I hit
 > `s RET' there was a call to `fit-frame', hence to `set-frame-size'.
 >
 > If `s' caused the Info node to change to a node of a different size,
 > then naturally the resulting frame size would be different.

It's important to get a trace of _every_ call of `set-frame-size' for
that frame - no matter where it comes from.  Are you sure you did that?
And I take it granted that for each `set-frame-size' you inserted a
"------------" in the buffer, then three identical `window--dump-frame'
outputs before the call to `set-frame-size' each preceded by a form feed
and then three identical `window--dump-frame' outputs after the call to
`set-frame-size' each preceded by a form feed too.  Then you did the
same for the next `set-frame-size' call.  Can you confirm that?  If not,
please elaborate.

 >> If it's caused by the window manager, then you should
 >> notice that the heights don't fit already there (you got 51 lines
 >> instead of the 59 you requested).
 >
 > What shows a request of 59 and a result of 51?  I see `51' on line 93,
 > which I guess you are saying is the resulting frame size (?).  But
 > resulting from what size request?  Where do you see the `59' as an
 > indication of what size was requested?

On line 48:

frame pixel: 627 x 856   cols/lines: 75 x 59   units: 8 x 14

 From the interpretation I gave above this line results from the first
`window--dump-frame' call following the very first `set-frame-size' call
you recorded.  Can you see that?  Is my interpretation correct?

 > What I think I see instead is this:
 >
 > 3 calls to w32* before the resize request, showing a height of 51,
 > followed by 3 more calls to w32* after the resize request, showing
 > a height of 59 (starting on line 138).

Line 138 is from the first `window--dump-frame' call following the
_second_ `set-frame-size' resize request you recorded.  I'm talking
about the _first_ `set-frame-size' request you recorded.

 > But I don't see, in the
 > dump output, anything that indicates what size was requested with
 > `set-frame-size'.

A dump is an image of a state.  You would have to record any arguments
separately (which would be a good idea BTW, as well as including
information whether the dump was requested before or after the
`set-frame-size' call and whether the call was made at a time the mode
line was visible).

And please make only one call of `window--dump-frame' before and one
call after each `set-frame-size' call.  And please don't insert any form
feeds - they might easily corrupt any communication about which line of
dumped text we are on.

 > This is what I said about that in my report about it:
 >
 >    When fit-frame was called, it printed ------------.
 >    Then it called `window--dump-frame' 3 times.
 >    Then it fit the frame.
 >    Then it called `window--dump-frame' 3 times again.
 >    `window--dump-frame' inserted a form feed, then the data.
 >
 > And this is an extract of the code I used:
 >
 >  (with-current-buffer (get-buffer-create "*window-frame-dump*")
 >    (insert "------------\n"))
 >  (window--dump-frame)
 >  (window--dump-frame)
 >  (window--dump-frame)
 >  (set-frame-size...)
 >  (window--dump-frame)
 >  (window--dump-frame)
 >  (window--dump-frame)

This is how I understood it.  But what apparently happened is that after
the last (of six) `window--dump-frame' calles belonging to the first
`set-frame-size' request and before the first `window--dump-frame' call
belonging to the second `set-frame-size' request the size of the frame
changed as in lines 78 to 104 of throw-emacs-bug-16923.txt:


frame pixel: 627 x 856   cols/lines: 75 x 59   units: 8 x 14
frame text pixel: 576 x 826   cols/lines: 72 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 826   new: 0
char left: 0   top: 0   size: 74 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 796   char: 72 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0

------------

frame pixel: 627 x 748   cols/lines: 75 x 51   units: 8 x 14
frame text pixel: 576 x 718   cols/lines: 72 x 51
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 828), (0 0 627 748)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 718   new: 0
char left: 0   top: 0   size: 74 x 51   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 688   char: 72 x 49
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


And this change is unexplained yet.  What height did you see and what
height did you expect to see at the time you hit `s' before the
"------------" was drawn in this excerpt - 59 or 51 lines?

 > IIRC, it is only the last resize request in throw-bug-16923.txt
 > that resulted in the loss (or half loss) of the mode line.  The
 > dump data for the last resize request shows that none of the data
 > changed as a result of that request.  The sizes do not change, as
 > they should not change (IIRC, the same node was involved).
 >
 > IOW, IIUC, the dump data do not show the problem (bug).  The
 > problem is not, AFAICT, the resulting size.  The problem is that
 > the mode line is missing (or half missing - I don't recall now
 > which screenshot corresponds to the dump text).
 >
 > In sum, sorry, but I'm just not following you well enough.  If
 > you would like me to do something, or draw a conclusion, or
 > provide some more information, please clarify/elaborate.

There are far too many inconsistencies before we even get there.

 >> If it's not caused by the window manager I don't know.
 >
 > If what is not caused by the window mgr?  If there is no frame
 > size change and there should not be any frame size change, then
 > how can the window mgr be at fault?  The problem is that the
 > mode line disappears.  Without a change in frame size in this case.
 > How can the window mgr be responsible for a mode line display
 > malfunction?

Please let's try to concentrate on the problem I sketched here before
drawing any conclusions about what happened afterwards.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 8 Mar 2014 22:52:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 08 17:52:00 2014
Received: from localhost ([127.0.0.1]:57081 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMQ63-00057f-7l
	for submit <at> debbugs.gnu.org; Sat, 08 Mar 2014 17:51:59 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:16796)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WMQ61-00057T-Fg
 for 16923 <at> debbugs.gnu.org; Sat, 08 Mar 2014 17:51:58 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s28MpsQ5032236
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sat, 8 Mar 2014 22:51:55 GMT
Received: from aserz7022.oracle.com (aserz7022.oracle.com [141.146.126.231])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s28Mpre1007176
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Sat, 8 Mar 2014 22:51:54 GMT
Received: from abhmp0018.oracle.com (abhmp0018.oracle.com [141.146.116.24])
 by aserz7022.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s28MpreV007173;
 Sat, 8 Mar 2014 22:51:53 GMT
MIME-Version: 1.0
Message-ID: <68c9bbe6-4347-4b80-8860-8b76e08f1137@default>
Date: Sat, 8 Mar 2014 14:51:54 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <70615a8e-3923-40c3-bfbc-af0a305cd6df@default> <5316D1B5.8040801@HIDDEN>
 <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default> <53176AF2.9010800@HIDDEN>
 <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default> <53177AEF.9050106@HIDDEN>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default> <531ADEBC.9030200@HIDDEN>
 <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default> <531B6875.6030406@HIDDEN>
 <03e5d7cc-2348-42e4-9e39-1166b120ea2b@default> <531B7564.6030700@HIDDEN>
In-Reply-To: <531B7564.6030700@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> This means that the frame size changes across the "------------" on line
> 91.  And it changes again across the next two "------------"'s.  Can you
> explain that?

I'm not sure I get your drift.  But as I said, IIRC, each time I hit
`s RET' there was a call to `fit-frame', hence to `set-frame-size'.

If `s' caused the Info node to change to a node of a different size,
then naturally the resulting frame size would be different.

> If it's caused by the window manager, then you should
> notice that the heights don't fit already there (you got 51 lines
> instead of the 59 you requested).

What shows a request of 59 and a result of 51?  I see `51' on line 93,
which I guess you are saying is the resulting frame size (?).  But
resulting from what size request?  Where do you see the `59' as an
indication of what size was requested?

What I think I see instead is this:

3 calls to w32* before the resize request, showing a height of 51,
followed by 3 more calls to w32* after the resize request, showing
a height of 59 (starting on line 138).  But I don't see, in the
dump output, anything that indicates what size was requested with
`set-frame-size'.

This is what I said about that in my report about it:

   When fit-frame was called, it printed ------------.
   Then it called `window--dump-frame' 3 times.
   Then it fit the frame.
   Then it called `window--dump-frame' 3 times again.
   `window--dump-frame' inserted a form feed, then the data.

And this is an extract of the code I used:

 (with-current-buffer (get-buffer-create "*window-frame-dump*")
   (insert "------------\n"))
 (window--dump-frame)
 (window--dump-frame)
 (window--dump-frame)
 (set-frame-size...)
 (window--dump-frame)
 (window--dump-frame)
 (window--dump-frame)

IIRC, it is only the last resize request in throw-bug-16923.txt
that resulted in the loss (or half loss) of the mode line.  The
dump data for the last resize request shows that none of the data
changed as a result of that request.  The sizes do not change, as
they should not change (IIRC, the same node was involved).

IOW, IIUC, the dump data do not show the problem (bug).  The
problem is not, AFAICT, the resulting size.  The problem is that
the mode line is missing (or half missing - I don't recall now
which screenshot corresponds to the dump text).

In sum, sorry, but I'm just not following you well enough.  If
you would like me to do something, or draw a conclusion, or
provide some more information, please clarify/elaborate.

> If it's not caused by the window manager I don't know.

If what is not caused by the window mgr?  If there is no frame
size change and there should not be any frame size change, then
how can the window mgr be at fault?  The problem is that the
mode line disappears.  Without a change in frame size in this case.
How can the window mgr be responsible for a mode line display
malfunction?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 8 Mar 2014 19:54:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 08 14:54:22 2014
Received: from localhost ([127.0.0.1]:57027 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMNK9-0008WH-RK
	for submit <at> debbugs.gnu.org; Sat, 08 Mar 2014 14:54:22 -0500
Received: from mout.gmx.net ([212.227.17.21]:61978)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WMNK4-0008W1-D1
 for 16923 <at> debbugs.gnu.org; Sat, 08 Mar 2014 14:54:17 -0500
Received: from [188.22.42.18] ([188.22.42.18]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0MH4Os-1WQAwG2Dw2-00Domk;
 Sat, 08 Mar 2014 20:54:14 +0100
Message-ID: <531B7564.6030700@HIDDEN>
Date: Sat, 08 Mar 2014 20:54:12 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <70615a8e-3923-40c3-bfbc-af0a305cd6df@default> <5316D1B5.8040801@HIDDEN>
 <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default> <53176AF2.9010800@HIDDEN>
 <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default> <53177AEF.9050106@HIDDEN>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default> <531ADEBC.9030200@HIDDEN>
 <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default> <531B6875.6030406@HIDDEN>
 <03e5d7cc-2348-42e4-9e39-1166b120ea2b@default>
In-Reply-To: <03e5d7cc-2348-42e4-9e39-1166b120ea2b@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:f5Znifeq/AzE9Dkr4LRpBgIN6tr44vLNBoarxxQ06TfY1ltYxwh
 /dq/CpHguo1U0SDhzEiC2tCFZLWPXyGj7dLPp3IP8nZtuENLWdVj7YKKzf0Olmv6ub++IG5
 r9AQeqwdToIx3rQEAAG2cBHdEB08MVgCDlEegTTIILo5X69HLOjLuG2TJV9LD/lIFXICscs
 LlVounRDgXED7NL7vuvkw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > No, it does not.  You asked me to invoke `window--dump-frame' multiple
 > times before and after each invocation of `fit-frame'.

I always said before and after a "resize operation".  But if as you say
`fit-frame' calls `set-frame-size' once only and no-one else calls
`set-frame-size' in between, it's OK.  In the future please remember:
I'm only interested in calls to resize the frame.

 > I figured 3
 > times would be enough to satisfy that (so 6 times per `fit-frame').
 > Did I misunderstand the request?

The "several times" was obviously a misunderstanding.  I meant to make
one call before and after each `set-frame-size' and trigger that
operation several times, until the mode line disappears.

 > There is one `set-frame-size' per `fit-frame' call.  So seven calls
 > to `set-frame-size'.

On line 3 of throw-emacs-bug-16923.txt I see

frame pixel: 627 x 832   cols/lines: 75 x 57   units: 8 x 14

on line 48 I see

frame pixel: 627 x 856   cols/lines: 75 x 59   units: 8 x 14

and on line 93 I see

frame pixel: 627 x 748   cols/lines: 75 x 51   units: 8 x 14

I think these are the first in a row of three identic dumps.

This means that the frame size changes across the "------------" on line
91.  And it changes again across the next two "------------"'s.  Can you
explain that?  If it's caused by the window manager, then you should
notice that the heights don't fit already there (you got 51 lines
instead of the 59 you requested).  If it's not caused by the window
manager I don't know.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 8 Mar 2014 19:12:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 08 14:12:12 2014
Received: from localhost ([127.0.0.1]:56934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMMfM-0007Gn-3o
	for submit <at> debbugs.gnu.org; Sat, 08 Mar 2014 14:12:12 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:26489)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WMMfJ-0007Gc-4N
 for 16923 <at> debbugs.gnu.org; Sat, 08 Mar 2014 14:12:09 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s28JC7o8001381
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sat, 8 Mar 2014 19:12:08 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s28JC5U0014364
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Sat, 8 Mar 2014 19:12:06 GMT
Received: from abhmp0018.oracle.com (abhmp0018.oracle.com [141.146.116.24])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s28JC5fp028819;
 Sat, 8 Mar 2014 19:12:05 GMT
MIME-Version: 1.0
Message-ID: <03e5d7cc-2348-42e4-9e39-1166b120ea2b@default>
Date: Sat, 8 Mar 2014 11:12:05 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <29b76228-778a-4aea-8fe4-5abedb5b6795@default> <531589F3.1050300@HIDDEN>
 <70615a8e-3923-40c3-bfbc-af0a305cd6df@default> <5316D1B5.8040801@HIDDEN>
 <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default> <53176AF2.9010800@HIDDEN>
 <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default> <53177AEF.9050106@HIDDEN>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default> <531ADEBC.9030200@HIDDEN>
 <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default> <531B6875.6030406@HIDDEN>
In-Reply-To: <531B6875.6030406@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> I see 42 calls of `window--dump-frame' which from what you say above
> means that for every `fit-frame' there are 6 calls of
> `window--dump-frame'.  Does that mean there are 6 `set-frame-size'
> requests per each `fit-frame' call?

No, it does not.  You asked me to invoke `window--dump-frame' multiple
times before and after each invocation of `fit-frame'.  I figured 3
times would be enough to satisfy that (so 6 times per `fit-frame').
Did I misunderstand the request?

> Note: I'm not interested in `fit-frame' or how you calculate frame
> sizes.  I'm only interested in your calls of `set-frame-size' or
> whatever you use to resize your frame.  How many such calls are there in
> throw-emacs-bug-16923?  And how can I attribute any of these calls to a
> frame without a mode line?

There is one `set-frame-size' per `fit-frame' call.  So seven calls
to `set-frame-size'.

I don't recall exactly, and I see that I did not mention it in my
report with `throw-emacs-bug-16923' (though I mentioned all of the rest
of this), just how many of the seven `fit-frame' invocations resulted
in loss of the mode line.  I believe that only the last invocation
lost the mode line, but I am not sure to remember correctly.

IIRC, I believed that I stopped as soon as I got one mode line
disappearance, but I couldn't swear that that is the case.  I should
have noted that in my report.

>  > You say that you "assume that Emacs sent so many resize requests in
>  > a row that it was able to confuse Windows".  What do you mean to draw
>  > attention to here: the number of requests in a row
>=20
> The number.
>=20
>  > or the rapidity or
>  > frequency of resize requests?  What constitutes a "row", i.e., until
>  > interrupted by what?
>=20
> By redisplay.

Doesn't redisplay occur if the Info node changes?  At any rate, as I
said, I just hit `s RET' repeatedly to search for the same string.
Sometimes that string was found more than once in the same node,
sometimes not.

>  > Based on what I say above, I do not see how it could be that either
>  > a high cadence or a high number of successive `fit-frame' calls could
>  > be overwhelming redisplay.  But I am entirely ignorant about redisplay=
,
>  > and I am not very clear about what you are asking here.
>=20
> The problem is not in redisplay.  The problem is the number of resize
> requests sent in succession to the window manager before redisplay
> occurs.  On Windows this is the number of calls of AdjustWindowRect
> which corresponds to the number of calls of `set-frame-size'.  Redisplay
> should occur only after Emacs has negotiated with Windows for each of
> these calls.
>=20
> Anyway.  Beginning with the fourth "------------" on line 271 of
> throw-emacs-bug-16923 the height difference of window and client
> rectangle is 56 and not 80 as before.  Unless we can resolve that
> mystery it hardly make sense to experiment any further.

OK.  Let me know if you want me to try something else.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 8 Mar 2014 18:59:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 08 13:59:28 2014
Received: from localhost ([127.0.0.1]:56927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMMT1-0006up-3O
	for submit <at> debbugs.gnu.org; Sat, 08 Mar 2014 13:59:27 -0500
Received: from mout.gmx.net ([212.227.17.22]:57530)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WMMSz-0006ui-IO
 for 16923 <at> debbugs.gnu.org; Sat, 08 Mar 2014 13:59:25 -0500
Received: from [188.22.42.18] ([188.22.42.18]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0LsTDk-1XJmcM1yfI-0121IK;
 Sat, 08 Mar 2014 19:59:22 +0100
Message-ID: <531B6888.3050101@HIDDEN>
Date: Sat, 08 Mar 2014 19:59:20 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN> <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
 <531780D7.6070109@HIDDEN> <291bd9d5-923f-440a-821a-06f585557e67@default>
 <5318AFD9.4000208@HIDDEN> <8be91728-fcea-4e74-afff-db6a55b52985@default>
 <5318C478.1090007@HIDDEN> <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default>
 <5318E810.7000705@HIDDEN> <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default>
 <531977B2.8030109@HIDDEN> <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default>
 <531A0655.5040400@HIDDEN> <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default>
 <531A11BE.5070300@HIDDEN> <738285f8-0119-49cd-b5b5-7e9607fadff3@default>
 <531ADEBC.9030200@HIDDEN> <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default>
 <83lhwkpu87.fsf@HIDDEN>
In-Reply-To: <83lhwkpu87.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:32ZPqnvIt9KHRCOSg3nbOxjTW/uM/jdy+sVyIg+U5qppyzbWHX7
 NKbvJwzZvbxfxC7Npg0QsY5H96Py1HtH/ub/d0zijGynn36WsLvtoHsfo675OlR2hRqCO0o
 eRQt1aoAXkNbrj4hglOgOT8aobzVapdYZWerfCSyluVpX6rL7MIy+eWDQLyMX16fa+oSYjo
 BcsF4VDsDlxs1pYjvpDNw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Perhaps Martin meant something other than the redisplay cycle I
 > described above.

I had no idea about how Drew triggered the calls or redisplay.  What I
wanted to know was how often he invoked `set-frame-size' before the next
redisplay, and how often he then invoked `set-frame-size' before the
next redisplay, and so on ...  That's what I used the term cycle for.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 8 Mar 2014 18:59:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 08 13:59:07 2014
Received: from localhost ([127.0.0.1]:56921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMMSh-0006ty-1G
	for submit <at> debbugs.gnu.org; Sat, 08 Mar 2014 13:59:07 -0500
Received: from mout.gmx.net ([212.227.15.19]:64548)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WMMSe-0006tp-Ki
 for 16923 <at> debbugs.gnu.org; Sat, 08 Mar 2014 13:59:05 -0500
Received: from [188.22.42.18] ([188.22.42.18]) by mail.gmx.com (mrgmx001) with
 ESMTPSA (Nemesis) id 0LxxKu-1XIiIN0msW-015Lod;
 Sat, 08 Mar 2014 19:59:03 +0100
Message-ID: <531B6875.6030406@HIDDEN>
Date: Sat, 08 Mar 2014 19:59:01 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <29b76228-778a-4aea-8fe4-5abedb5b6795@default> <531589F3.1050300@HIDDEN>
 <70615a8e-3923-40c3-bfbc-af0a305cd6df@default> <5316D1B5.8040801@HIDDEN>
 <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default> <53176AF2.9010800@HIDDEN>
 <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default> <53177AEF.9050106@HIDDEN>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default> <531ADEBC.9030200@HIDDEN>
 <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default>
In-Reply-To: <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:4fK2GZQDfrQFvGhnJSgHTlEmME6H8Wxiakjp/3C/YAhb8e6ehW/
 iv/Ilt/TJwH+Wbr1UJbaCZmv19muyLXynPUW34LHmogMUC7ODQLMexxpaTU6RtXXR+2PMXO
 EaREmUTTzn97k8bflUDppV47mD+ePLCMomhtFYxYj+By5Lb/Qb7zXVxDyFjD1VgY8e4LnMO
 Z1+/45UkhCwC+2tzCpOIQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > In the debug output I sent, file throw-emacs-bug-16923.txt, you see,
 > as I mentioned, seven calls to `fit-frame' (each "------------" in the
 > file).  I was doing `s RET' in Info, non-incrementally searching for
 > the next occurrence of a string ("terminals").  Each press of `s'
 > entailed a single call to `fit-frame'.  In some cases a second
 > occurrence was found in the same node, so any `s' and its `fit-frame'
 > other than the first in such a node is essentially a no-op (except for
 > the bug side effect of removing the mode line).
 >
 > Does that respond to your question about how often frame resizing is
 > requested per "redisplay cycle"?  I do not know the period, whether
 > in terms of a number of input events or elapsed time, of a "redisplay
 > cycle", but I can say that my pressing of `s' determined the calls
 > to `fit-frame': one per press.
 >
 > And in the other test I did earlier, just using `M-: (fit-frame)'
 > twice in the same frame, the number of calls to `fit-frame' was two.

I see 42 calls of `window--dump-frame' which from what you say above
means that for every `fit-frame' there are 6 calls of
`window--dump-frame'.  Does that mean there are 6 `set-frame-size'
requests per each `fit-frame' call?

Note: I'm not interested in `fit-frame' or how you calculate frame
sizes.  I'm only interested in your calls of `set-frame-size' or
whatever you use to resize your frame.  How many such calls are there in
throw-emacs-bug-16923?  And how can I attribute any of these calls to a
frame without a mode line?

 > You say that you "assume that Emacs sent so many resize requests in
 > a row that it was able to confuse Windows".  What do you mean to draw
 > attention to here: the number of requests in a row

The number.

 > or the rapidity or
 > frequency of resize requests?  What constitutes a "row", i.e., until
 > interrupted by what?

By redisplay.

 > Based on what I say above, I do not see how it could be that either
 > a high cadence or a high number of successive `fit-frame' calls could
 > be overwhelming redisplay.  But I am entirely ignorant about redisplay,
 > and I am not very clear about what you are asking here.

The problem is not in redisplay.  The problem is the number of resize
requests sent in succession to the window manager before redisplay
occurs.  On Windows this is the number of calls of AdjustWindowRect
which corresponds to the number of calls of `set-frame-size'.  Redisplay
should occur only after Emacs has negotiated with Windows for each of
these calls.

Anyway.  Beginning with the fourth "------------" on line 271 of
throw-emacs-bug-16923 the height difference of window and client
rectangle is 56 and not 80 as before.  Unless we can resolve that
mystery it hardly make sense to experiment any further.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 8 Mar 2014 15:56:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 08 10:56:48 2014
Received: from localhost ([127.0.0.1]:56721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMJcF-0006cB-UG
	for submit <at> debbugs.gnu.org; Sat, 08 Mar 2014 10:56:48 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:43413)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WMJcD-0006c2-Ns
 for 16923 <at> debbugs.gnu.org; Sat, 08 Mar 2014 10:56:46 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s28FuhUK011561
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sat, 8 Mar 2014 15:56:44 GMT
Received: from aserz7021.oracle.com (aserz7021.oracle.com [141.146.126.230])
 by ucsinet22.oracle.com (8.14.5+Sun/8.14.5) with ESMTP id s28Fugqm023267
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Sat, 8 Mar 2014 15:56:43 GMT
Received: from abhmp0018.oracle.com (abhmp0018.oracle.com [141.146.116.24])
 by aserz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s28FugHC027194;
 Sat, 8 Mar 2014 15:56:42 GMT
MIME-Version: 1.0
Message-ID: <cdb5a715-7730-451b-a70e-0fc762d6ee2c@default>
Date: Sat, 8 Mar 2014 07:56:41 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <<b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>>
 <<04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>> <<5314DB5D.50709@HIDDEN>>
 <<29b76228-778a-4aea-8fe4-5abedb5b6795@default>> <<531589F3.1050300@HIDDEN>>
 <<70615a8e-3923-40c3-bfbc-af0a305cd6df@default>> <<5316D1B5.8040801@HIDDEN>>
 <<a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>> <<53176AF2.9010800@HIDDEN>>
 <<edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>> <<53177AEF.9050106@HIDDEN>>
 <<3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>> <<531780D7.6070109@HIDDEN>>
 <<291bd9d5-923f-440a-821a-06f585557e67@default>> <<5318AFD9.4000208@HIDDEN>>
 <<8be91728-fcea-4e74-afff-db6a55b52985@default>> <<5318C478.1090007@HIDDEN>>
 <<0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default>> <<5318E810.7000705@HIDDEN>>
 <<dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default>> <<531977B2.8030109@HIDDEN>>
 <<f46ec99a-8a39-44f2-bf49-7845e1461a3e@default>> <<531A0655.5040400@HIDDEN>>
 <<5e0232ee-58e3-42a3-8102-e12e8e605b2b@default>> <<531A11BE.5070300@HIDDEN>>
 <<738285f8-0119-49cd-b5b5-7e9607fadff3@default>> <<531ADEBC.9030200@HIDDEN>>
 <<1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default>> <<83lhwkpu87.fsf@HIDDEN>>
In-Reply-To: <<83lhwkpu87.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: rudalics@HIDDEN, 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> Every time Emacs waits for input, it automatically enters redisplay.
> So, unless you typed a series of 's' keys faster than Emacs could
> process them (which I doubt, since you probably looked at the search
> results before pressing the next 's'), each 's' keystroke would account
> for one redisplay cycle.  If you took your time reading before you
> pressed another key, there could be more than one redisplay cycle
> between every two 's' keystrokes.

That coincides with what I thought.  And no, I did not press `s'
quickly at all.  Similarly, for the test of just doing
`M-: (fit-frame)' twice in succession: I can wait as long as we like
from one to the next.

> > Based on what I say above, I do not see how it could be that either
> > a high cadence or a high number of successive `fit-frame' calls could
> > be overwhelming redisplay.  But I am entirely ignorant about redisplay,
> > and I am not very clear about what you are asking here.
>=20
> Perhaps Martin meant something other than the redisplay cycle I
> described above.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 8 Mar 2014 15:48:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 08 10:48:21 2014
Received: from localhost ([127.0.0.1]:56706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMJU4-0006MQ-Ic
	for submit <at> debbugs.gnu.org; Sat, 08 Mar 2014 10:48:21 -0500
Received: from mtaout25.012.net.il ([80.179.55.181]:55202)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WMJTx-0006M9-Hh
 for 16923 <at> debbugs.gnu.org; Sat, 08 Mar 2014 10:48:15 -0500
Received: from conversion-daemon.mtaout25.012.net.il by mtaout25.012.net.il
 (HyperSendmail v2007.08) id <0N2400A00JL70000@HIDDEN> for
 16923 <at> debbugs.gnu.org; Sat, 08 Mar 2014 17:46:18 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout25.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N24004RTJT6GB50@HIDDEN>; Sat, 08 Mar 2014 17:46:18 +0200 (IST)
Date: Sat, 08 Mar 2014 17:48:08 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
In-reply-to: <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default>
X-012-Sender: halo1@HIDDEN
To: Drew Adams <drew.adams@HIDDEN>
Message-id: <83lhwkpu87.fsf@HIDDEN>
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default> <5314DB5D.50709@HIDDEN>
 <29b76228-778a-4aea-8fe4-5abedb5b6795@default> <531589F3.1050300@HIDDEN>
 <70615a8e-3923-40c3-bfbc-af0a305cd6df@default> <5316D1B5.8040801@HIDDEN>
 <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default> <53176AF2.9010800@HIDDEN>
 <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default> <53177AEF.9050106@HIDDEN>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default> <531ADEBC.9030200@HIDDEN>
 <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16923
Cc: rudalics@HIDDEN, 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sat, 8 Mar 2014 07:34:54 -0800 (PST)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: 16923 <at> debbugs.gnu.org
> 
> > From the backtrace you attached earlier it's clearly visible that in 21
> > calls the value is 56.  And as I remarked earlier, this value is Windows
> > internal.  So unless we have some proof that Emacs is asking Windows to
> > do something like enlarging the title bar or wrapping the menu bar, we
> > must assume that Emacs sent so many resize requests in a row that it was
> > able to confuse Windows.
> > 
> > I have no idea how often you ask for changing the frame size in one and
> > the same redisplay cycle.  On Windows, without ConfigureNotify events, I
> > wouldn't issue more than one request per frame in one redisplay cycle.
> > Everything else means asking for trouble.
> 
> In the debug output I sent, file throw-emacs-bug-16923.txt, you see,
> as I mentioned, seven calls to `fit-frame' (each "------------" in the
> file).  I was doing `s RET' in Info, non-incrementally searching for
> the next occurrence of a string ("terminals").  Each press of `s'
> entailed a single call to `fit-frame'.  In some cases a second
> occurrence was found in the same node, so any `s' and its `fit-frame'
> other than the first in such a node is essentially a no-op (except for
> the bug side effect of removing the mode line).
> 
> Does that respond to your question about how often frame resizing is
> requested per "redisplay cycle"?  I do not know the period, whether
> in terms of a number of input events or elapsed time, of a "redisplay
> cycle", but I can say that my pressing of `s' determined the calls
> to `fit-frame': one per press.

Every time Emacs waits for input, it automatically enters redisplay.
So, unless you typed a series of 's' keys faster than Emacs could
process them (which I doubt, since you probably looked at the search
results before pressing the next 's'), each 's' keystroke would account
for one redisplay cycle.  If you took your time reading before you
pressed another key, there could be more than one redisplay cycle
between every two 's' keystrokes.

> Based on what I say above, I do not see how it could be that either
> a high cadence or a high number of successive `fit-frame' calls could
> be overwhelming redisplay.  But I am entirely ignorant about redisplay,
> and I am not very clear about what you are asking here.

Perhaps Martin meant something other than the redisplay cycle I
described above.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 8 Mar 2014 15:35:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 08 10:35:02 2014
Received: from localhost ([127.0.0.1]:56702 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMJHB-0004pC-3W
	for submit <at> debbugs.gnu.org; Sat, 08 Mar 2014 10:35:02 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:35492)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WMJH9-0004p3-DK
 for 16923 <at> debbugs.gnu.org; Sat, 08 Mar 2014 10:35:00 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s28FYuNd002232
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sat, 8 Mar 2014 15:34:57 GMT
Received: from aserz7021.oracle.com (aserz7021.oracle.com [141.146.126.230])
 by ucsinet22.oracle.com (8.14.5+Sun/8.14.5) with ESMTP id s28FYtOS006178
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Sat, 8 Mar 2014 15:34:56 GMT
Received: from abhmp0018.oracle.com (abhmp0018.oracle.com [141.146.116.24])
 by aserz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s28FYtYe009410;
 Sat, 8 Mar 2014 15:34:55 GMT
MIME-Version: 1.0
Message-ID: <1cb471a0-5db3-4c77-90ff-ed8aa2c9bd0b@default>
Date: Sat, 8 Mar 2014 07:34:54 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default> <5314DB5D.50709@HIDDEN>
 <29b76228-778a-4aea-8fe4-5abedb5b6795@default> <531589F3.1050300@HIDDEN>
 <70615a8e-3923-40c3-bfbc-af0a305cd6df@default> <5316D1B5.8040801@HIDDEN>
 <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default> <53176AF2.9010800@HIDDEN>
 <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default> <53177AEF.9050106@HIDDEN>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default> <531ADEBC.9030200@HIDDEN>
In-Reply-To: <531ADEBC.9030200@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> From the backtrace you attached earlier it's clearly visible that in 21
> calls the value is 56.  And as I remarked earlier, this value is Windows
> internal.  So unless we have some proof that Emacs is asking Windows to
> do something like enlarging the title bar or wrapping the menu bar, we
> must assume that Emacs sent so many resize requests in a row that it was
> able to confuse Windows.
>=20
> I have no idea how often you ask for changing the frame size in one and
> the same redisplay cycle.  On Windows, without ConfigureNotify events, I
> wouldn't issue more than one request per frame in one redisplay cycle.
> Everything else means asking for trouble.

In the debug output I sent, file throw-emacs-bug-16923.txt, you see,
as I mentioned, seven calls to `fit-frame' (each "------------" in the
file).  I was doing `s RET' in Info, non-incrementally searching for
the next occurrence of a string ("terminals").  Each press of `s'
entailed a single call to `fit-frame'.  In some cases a second
occurrence was found in the same node, so any `s' and its `fit-frame'
other than the first in such a node is essentially a no-op (except for
the bug side effect of removing the mode line).

Does that respond to your question about how often frame resizing is
requested per "redisplay cycle"?  I do not know the period, whether
in terms of a number of input events or elapsed time, of a "redisplay
cycle", but I can say that my pressing of `s' determined the calls
to `fit-frame': one per press.

And in the other test I did earlier, just using `M-: (fit-frame)'
twice in the same frame, the number of calls to `fit-frame' was two.

You say that you "assume that Emacs sent so many resize requests in
a row that it was able to confuse Windows".  What do you mean to draw
attention to here: the number of requests in a row or the rapidity or
frequency of resize requests?  What constitutes a "row", i.e., until
interrupted by what?

Based on what I say above, I do not see how it could be that either
a high cadence or a high number of successive `fit-frame' calls could
be overwhelming redisplay.  But I am entirely ignorant about redisplay,
and I am not very clear about what you are asking here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 8 Mar 2014 09:11:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 08 04:11:38 2014
Received: from localhost ([127.0.0.1]:55626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WMDI5-00014j-P3
	for submit <at> debbugs.gnu.org; Sat, 08 Mar 2014 04:11:38 -0500
Received: from mout.gmx.net ([212.227.17.20]:59472)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WMDHz-00014U-6z
 for 16923 <at> debbugs.gnu.org; Sat, 08 Mar 2014 04:11:32 -0500
Received: from [93.82.79.55] ([93.82.79.55]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0MGzwE-1WQ4tT3OnC-00Dl2M; Sat, 08 Mar 2014 10:11:25
 +0100
Message-ID: <531ADEBC.9030200@HIDDEN>
Date: Sat, 08 Mar 2014 10:11:24 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default> <5314DB5D.50709@HIDDEN>
 <29b76228-778a-4aea-8fe4-5abedb5b6795@default> <531589F3.1050300@HIDDEN>
 <70615a8e-3923-40c3-bfbc-af0a305cd6df@default> <5316D1B5.8040801@HIDDEN>
 <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default> <53176AF2.9010800@HIDDEN>
 <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default> <53177AEF.9050106@HIDDEN>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
 <738285f8-0119-49cd-b5b5-7e9607fadff3@default>
In-Reply-To: <738285f8-0119-49cd-b5b5-7e9607fadff3@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:SlSvtPVcEFvPckqHvvw3ZUwSe3vcmS8imGJ0o+WmMh+M9Vlokti
 bgk9whRLGYBxjuRnvKgRBPHBayZoTsdWHT0nDSzetoXKBd5/LjLdDlaS/6oeGgQ923VLA/i
 sxJlI/zkDSc07ozzD49CA3FaEZG6JHS8A6DYY8dvFuIygmMpS7ZoxdkgkVWlXbmgbVFVOkh
 M0R0hC/fYCxIDcfVIHVVw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Drew Adams schrieb:
 >>  > Just what are you asking me to check
 >>
 >> Whether the frame title part, the menu bar or any other decorations
 >> provided by Windows change when the modeline disappears.
 >
 > No, they do not change when the mode line disappears.
 >
 >> (defun foo ()...)
 >> (global-set-key [(control meta +)] 'foo)
 >> and look what it prints.
 >
 > 80
 >
 >> I suppose the values are different depending
 >> on when the modeline is present and when it is not.  Here the value is
 >> different when the menubar wraps or disappears, after F11, ...
 >
 > No, the value is not different when the mode line is present or missing.
 >
 > Yes, the value is different (25) when I toggle full screen or I resize
 > the frame so the menu bar no longer wraps.

 From the backtrace you attached earlier it's clearly visible that in 21
calls the value is 56.  And as I remarked earlier, this value is Windows
internal.  So unless we have some proof that Emacs is asking Windows to
do something like enlarging the title bar or wrapping the menu bar, we
must assume that Emacs sent so many resize requests in a row that it was
able to confuse Windows.

I have no idea how often you ask for changing the frame size in one and
the same redisplay cycle.  On Windows, without ConfigureNotify events, I
wouldn't issue more than one request per frame in one redisplay cycle.
Everything else means asking for trouble.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 7 Mar 2014 19:13:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 07 14:13:56 2014
Received: from localhost ([127.0.0.1]:55166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WM0DU-0008OK-B5
	for submit <at> debbugs.gnu.org; Fri, 07 Mar 2014 14:13:56 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:50895)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WM0DR-0008O9-So
 for 16923 <at> debbugs.gnu.org; Fri, 07 Mar 2014 14:13:54 -0500
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s27JDqq6006901
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 7 Mar 2014 19:13:53 GMT
Received: from aserz7022.oracle.com (aserz7022.oracle.com [141.146.126.231])
 by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s27JDpOP025920
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Fri, 7 Mar 2014 19:13:52 GMT
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by aserz7022.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s27JDp6n022000;
 Fri, 7 Mar 2014 19:13:51 GMT
MIME-Version: 1.0
Message-ID: <738285f8-0119-49cd-b5b5-7e9607fadff3@default>
Date: Fri, 7 Mar 2014 11:13:50 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <a2349e72-8172-4652-a980-890f813bc623@default> <5314CBE1.6050905@HIDDEN>
 <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default> <5314DB5D.50709@HIDDEN>
 <29b76228-778a-4aea-8fe4-5abedb5b6795@default> <531589F3.1050300@HIDDEN>
 <70615a8e-3923-40c3-bfbc-af0a305cd6df@default> <5316D1B5.8040801@HIDDEN>
 <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default> <53176AF2.9010800@HIDDEN>
 <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default> <53177AEF.9050106@HIDDEN>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default> <531A11BE.5070300@HIDDEN>
In-Reply-To: <531A11BE.5070300@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>  > Just what are you asking me to check
>=20
> Whether the frame title part, the menu bar or any other decorations
> provided by Windows change when the modeline disappears.

No, they do not change when the mode line disappears.

> (defun foo ()...)
> (global-set-key [(control meta +)] 'foo)
> and look what it prints. =20

80

> I suppose the values are different depending
> on when the modeline is present and when it is not.  Here the value is
> different when the menubar wraps or disappears, after F11, ...

No, the value is not different when the mode line is present or missing.

Yes, the value is different (25) when I toggle full screen or I resize
the frame so the menu bar no longer wraps.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 7 Mar 2014 18:36:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 07 13:36:54 2014
Received: from localhost ([127.0.0.1]:55142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLzdd-0007LS-6U
	for submit <at> debbugs.gnu.org; Fri, 07 Mar 2014 13:36:53 -0500
Received: from mout.gmx.net ([212.227.17.21]:54679)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WLzdZ-0007LG-Qy
 for 16923 <at> debbugs.gnu.org; Fri, 07 Mar 2014 13:36:51 -0500
Received: from [62.46.209.190] ([62.46.209.190]) by mail.gmx.com (mrgmx103)
 with ESMTPSA (Nemesis) id 0Lt1yI-1XJ5eE2ERu-012ZYl; Fri, 07 Mar 2014 19:36:48
 +0100
Message-ID: <531A11BE.5070300@HIDDEN>
Date: Fri, 07 Mar 2014 19:36:46 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <a2349e72-8172-4652-a980-890f813bc623@default> <5314CBE1.6050905@HIDDEN>
 <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default> <5314DB5D.50709@HIDDEN>
 <29b76228-778a-4aea-8fe4-5abedb5b6795@default> <531589F3.1050300@HIDDEN>
 <70615a8e-3923-40c3-bfbc-af0a305cd6df@default> <5316D1B5.8040801@HIDDEN>
 <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default> <53176AF2.9010800@HIDDEN>
 <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default> <53177AEF.9050106@HIDDEN>
 <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default> <531780D7.6070109@HIDDEN>
 <291bd9d5-923f-440a-821a-06f585557e67@default> <5318AFD9.4000208@HIDDEN>
 <8be91728-fcea-4e74-afff-db6a55b52985@default> <5318C478.1090007@HIDDEN>
 <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default> <5318E810.7000705@HIDDEN>
 <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default> <531977B2.8030109@HIDDEN>
 <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default> <531A0655.5040400@HIDDEN>
 <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default>
In-Reply-To: <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:9/uGY7Z3O2zQrc1nH8EFKpw77t/hEeCWi96ACNdGZhDwjmRrYQd
 G3UG9M5uWQVkKIgf3HRzdEC9r8WxCUHq1PewmscYdI6rFgJjkA5xWbD+ZcEcGHwETLMPrcU
 JB8mrgNeIwwr9kGn90TlzI7WqU22+80XOCl9m5lPJq002gW5MezDvXEKk/YbVrJeML5TFQw
 clHVR30xoUCsMV/I6lS6A==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Sorry, I don't quite follow you.
 > Just what are you asking me to check

Whether the frame title part, the menu bar or any other decorations
provided by Windows change when the modeline disappears.

 > (and how)?

By looking at the Emacs frame including its decorations.

 >> which means that there are 24 pixels less for the client rectangle and
 >> Windows partly draws the frame decoration over it and clips the rest.
 >>
 >> Prepare a function to print the difference of the (nth 3) of the two
 >> `w32-frame-rect' calls in the echo area of a second frame, bind it to a
 >> key, and you should see that whenever the modeline is absent that value
 >> is 56 while otherwise it is 80.
 >
 > Sorry, I really do not know what you would like me to do.
 > Please elaborate.

Evaluate

(defun foo ()
   (interactive)
   (let ((window-rect (w32-frame-rect))
	(client-rect (w32-frame-rect nil t)))
   (message "%s"
	   (- (- (nth 3 window-rect) (nth 1 window-rect))
	      (- (nth 3 client-rect) (nth 1 client-rect))))))

(global-set-key [(control meta +)] 'foo)

and look what it prints.  I suppose the values are different depending
on when the modeline is present and when it is not.  Here the value is
different when the menubar wraps or disappears, after F11, ...

 > OK, I guess I'll make that change, then.  Can you say what is fragile
 > about it?  Do you expect that it will break something?  Or do you mean
 > only that it might not work in all cases?  (Or do you mean something
 > else?)

It might not work in all cases.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 7 Mar 2014 18:09:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 07 13:09:16 2014
Received: from localhost ([127.0.0.1]:55129 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLzCt-0006Zr-GN
	for submit <at> debbugs.gnu.org; Fri, 07 Mar 2014 13:09:15 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:19489)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WLzCr-0006Zh-K4
 for 16923 <at> debbugs.gnu.org; Fri, 07 Mar 2014 13:09:14 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s27I9Cnn030417
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 7 Mar 2014 18:09:12 GMT
Received: from aserz7021.oracle.com (aserz7021.oracle.com [141.146.126.230])
 by ucsinet22.oracle.com (8.14.5+Sun/8.14.5) with ESMTP id s27I9Ahf006823
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Fri, 7 Mar 2014 18:09:11 GMT
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by aserz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s27I9A7I022214;
 Fri, 7 Mar 2014 18:09:10 GMT
MIME-Version: 1.0
Message-ID: <5e0232ee-58e3-42a3-8102-e12e8e605b2b@default>
Date: Fri, 7 Mar 2014 10:09:10 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN> <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
 <531780D7.6070109@HIDDEN> <291bd9d5-923f-440a-821a-06f585557e67@default>
 <5318AFD9.4000208@HIDDEN> <8be91728-fcea-4e74-afff-db6a55b52985@default>
 <5318C478.1090007@HIDDEN> <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default>
 <5318E810.7000705@HIDDEN> <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default>
 <531977B2.8030109@HIDDEN> <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default>
 <531A0655.5040400@HIDDEN>
In-Reply-To: <531A0655.5040400@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> It seems easy to spot the problem - it should be
> w32-rect: (0 0 635 912), (0 0 627 832)
> ...
> w32-rect: (0 0 635 828), (0 0 627 748)
> ...
> w32-rect: (0 0 707 912), (0 0 699 856) <--- here
> ...
> w32-rect: (0 0 635 912), (0 0 627 832)
>=20
> The difference between the height of the outer rectangle (which includes
> title and menu bar and decorations) and the client rectangle shrinks
> from 80 to 56 pixels.  I suppose that all parts exclusively in the outer
> rectangle (title, menu bar, ...) are still here as before (are they????)

Sorry, I don't quite follow you.
Just what are you asking me to check (and how)?

> which means that there are 24 pixels less for the client rectangle and
> Windows partly draws the frame decoration over it and clips the rest.
>=20
> Prepare a function to print the difference of the (nth 3) of the two
> `w32-frame-rect' calls in the echo area of a second frame, bind it to a
> key, and you should see that whenever the modeline is absent that value
> is 56 while otherwise it is 80.

Sorry, I really do not know what you would like me to do.
Please elaborate.

> Note that `w32-frame-rect' is purely build from Windows API calls - that
> is, the raw values are provided by Windows and Emacs only converts them
> to coordinates.  So at first sight this looks like a Windows bug.
> Windows should never return another difference unless, for example, the
> menu bar wraps.
>
>  >> It looks like a timing error where Emacs and Windows have different
>  >> conceptions about the size of the Emacs frame.  Maybe locally binding
>  >> `w32-enable-frame-resize-hack' to nil around the `fit-frame' calls
>  >> would help.
>  >
>  > Actually, that does seem to help.  It seems to solve the problem.
>  > Let me know, after looking over all of this information, whether you
>  > think something can be or needs to be fixed on the Emacs side for
>  > this bug, or whether I should just wrap such a binding around the
>  > body of `fit-frame'.
>=20
> It's a fragile fix.  But I have no better solution at the moment.

OK, I guess I'll make that change, then.  Can you say what is fragile
about it?  Do you expect that it will break something?  Or do you mean
only that it might not work in all cases?  (Or do you mean something
else?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 7 Mar 2014 17:48:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 07 12:48:13 2014
Received: from localhost ([127.0.0.1]:55115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLysW-0005xW-Lq
	for submit <at> debbugs.gnu.org; Fri, 07 Mar 2014 12:48:13 -0500
Received: from mout.gmx.net ([212.227.15.15]:53861)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WLysS-0005xE-V7
 for 16923 <at> debbugs.gnu.org; Fri, 07 Mar 2014 12:48:10 -0500
Received: from [62.46.209.190] ([62.46.209.190]) by mail.gmx.com (mrgmx103)
 with ESMTPSA (Nemesis) id 0M0hT0-1XBKuX1XQ6-00uuQE; Fri, 07 Mar 2014 18:48:07
 +0100
Message-ID: <531A0655.5040400@HIDDEN>
Date: Fri, 07 Mar 2014 18:48:05 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN> <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
 <531780D7.6070109@HIDDEN> <291bd9d5-923f-440a-821a-06f585557e67@default>
 <5318AFD9.4000208@HIDDEN> <8be91728-fcea-4e74-afff-db6a55b52985@default>
 <5318C478.1090007@HIDDEN> <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default>
 <5318E810.7000705@HIDDEN> <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default>
 <531977B2.8030109@HIDDEN> <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default>
In-Reply-To: <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:TvB+HkJbT5ZTLWfJi2PuEIROgHUUByUnE8UX33doqYA7OyewUXl
 2N/8wSb6AYRMIkXXQB1cTKF3AQRIkkj/j+JrKKZOKEHjoq4DuaeeqVATBpXcv253S5umPMS
 YOAfqpxnEWSVxj9NeU6/xqHjttiFWgD+tIYWdpXwTgTyPr5uvc/2IfdnBjcVdOX9ypgbz6l
 650JM5CCZXvdH39ux5INg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > I set border-width to 10 and internal to 15.  First, some of the times
 > when the mode line would have disappeared it did not do so.  Second,
 > it did still do so sometimes - almost disappeared, that is.  In the
 > latter case, what I saw (attached) was that, instead, part of the mode
 > line disappeared, and there was no bottom border.

Good.  IIUC this shows that the display engine works correctly.  It
draws the mode line but somehow it gets clipped together with the
internal border.

 > It seems we're getting somewhere now.

It will be just a sobering experience when we're there at last.

 >> (3) Try to enhance `window--dump-frame' in a way that it does not erase
 >>      its buffer and call it several times, immediately before and after
 >>      you ask for a frame size change in `fit-frame'.  Moreover, you could
 >>      add two lines to it with a suitable informatory text to display the
 >>      values returned by
 >>
 >>      (w32-frame-rect frame)
 >>      (w32-frame-rect frame t)
 >>
 >>      These are Windows specific so I can't include them in the
 >>      `window--dump-frame' version that comes with Emacs.
 >
 > Attached also.  When fit-frame was called, it printed ------------.
 > Then it called `window--dump-frame' 3 times.  Then it fit the frame.
 > Then it called `window--dump-frame' 3 times again. `window--dump-frame'
 > inserted a form feed, then the data.

It seems easy to spot the problem - it should be

w32-rect: (0 0 635 912), (0 0 627 832)
...
w32-rect: (0 0 635 828), (0 0 627 748)
...
w32-rect: (0 0 707 912), (0 0 699 856) <--- here
...
w32-rect: (0 0 635 912), (0 0 627 832)

The difference between the height of the outer rectangle (which includes
title and menu bar and decorations) and the client rectangle shrinks
from 80 to 56 pixels.  I suppose that all parts exclusively in the outer
rectangle (title, menu bar, ...) are still here as before (are they????)
which means that there are 24 pixels less for the client rectangle and
Windows partly draws the frame decoration over it and clips the rest.

Prepare a function to print the difference of the (nth 3) of the two
`w32-frame-rect' calls in the echo area of a second frame, bind it to a
key, and you should see that whenever the modeline is absent that value
is 56 while otherwise it is 80.

Note that `w32-frame-rect' is purely build from Windows API calls - that
is, the raw values are provided by Windows and Emacs only converts them
to coordinates.  So at first sight this looks like a Windows bug.
Windows should never return another difference unless, for example, the
menu bar wraps.

 >> It looks like a timing error where Emacs and Windows have different
 >> conceptions about the size of the Emacs frame.  Maybe locally binding
 >> `w32-enable-frame-resize-hack' to nil around the `fit-frame' calls
 >> would help.
 >
 > Actually, that does seem to help.  It seems to solve the problem.
 > Let me know, after looking over all of this information, whether you
 > think something can be or needs to be fixed on the Emacs side for
 > this bug, or whether I should just wrap such a binding around the
 > body of `fit-frame'.

It's a fragile fix.  But I have no better solution at the moment.

 > FWIW: Dunno whether it is related, but I have also seen this recently:
 > Library pp-c-l.el shows a form-feed char in a pretty way, as shown here:
 > http://www.emacswiki.org/cgi-bin/wiki/PrettyControlL.  This is
 > still the case in general, but sometimes when a file with form feeds
 > is first visited they appear normally, i.e., as ^L.  Even hitting `C-l'
 > does not cause their proper display.  Eventually they are displayed OK.
 >
 > Perhaps Emacs redisplay is now happening less than was the case before?
 >
 > Dunno whether this is at all related to bug #16923 (which does not
 > regain the proper display of the mode line at all).

FWIW this is completely unrelated.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 7 Mar 2014 16:48:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 07 11:48:41 2014
Received: from localhost ([127.0.0.1]:55085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLxwu-00048F-SN
	for submit <at> debbugs.gnu.org; Fri, 07 Mar 2014 11:48:40 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:47550)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WLxwr-000483-O2
 for 16923 <at> debbugs.gnu.org; Fri, 07 Mar 2014 11:48:38 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s27GmYGJ030372
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 7 Mar 2014 16:48:36 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by ucsinet22.oracle.com (8.14.5+Sun/8.14.5) with ESMTP id s27GmYGH017539
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Fri, 7 Mar 2014 16:48:34 GMT
Received: from abhmp0017.oracle.com (abhmp0017.oracle.com [141.146.116.23])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s27GmXPM011853;
 Fri, 7 Mar 2014 16:48:33 GMT
MIME-Version: 1.0
Message-ID: <f46ec99a-8a39-44f2-bf49-7845e1461a3e@default>
Date: Fri, 7 Mar 2014 08:48:29 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN> <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
 <531780D7.6070109@HIDDEN> <291bd9d5-923f-440a-821a-06f585557e67@default>
 <5318AFD9.4000208@HIDDEN> <8be91728-fcea-4e74-afff-db6a55b52985@default>
 <5318C478.1090007@HIDDEN> <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default>
 <5318E810.7000705@HIDDEN> <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default>
 <531977B2.8030109@HIDDEN>
In-Reply-To: <531977B2.8030109@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: multipart/mixed;
 boundary="__1394210911214216345abhmp0017.oracle.com"
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--__1394210911214216345abhmp0017.oracle.com
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable

> So the window code calculated 14 pixels for the mode line which
> subsequently either got lost in the display engine or was cut off by the
> window manager.  It would be still interesting to see a high resolution
> screenshot of the lower part of your frame.

Attached.

> A list of things you can try:
>=20
> (1) You have set frame parameters for right and bottom dividers.  Maybe
>      they interfere, so try without them.

OK, I tried that. It changed nothing.

> (2) Set the `border-width' and/or `internal-border-width' parameter of
>      your frame to some number and look whether a border stays visible at
>      the bottom of a frame whose window lost its mode line.

I set border-width to 10 and internal to 15.  First, some of the times
when the mode line would have disappeared it did not do so.  Second,
it did still do so sometimes - almost disappeared, that is.  In the
latter case, what I saw (attached) was that, instead, part of the mode
line disappeared, and there was no bottom border.

It seems we're getting somewhere now.

> (3) Try to enhance `window--dump-frame' in a way that it does not erase
>      its buffer and call it several times, immediately before and after
>      you ask for a frame size change in `fit-frame'.  Moreover, you could
>      add two lines to it with a suitable informatory text to display the
>      values returned by
>=20
>      (w32-frame-rect frame)
>      (w32-frame-rect frame t)
>=20
>      These are Windows specific so I can't include them in the
>      `window--dump-frame' version that comes with Emacs.

Attached also.  When fit-frame was called, it printed ------------.
Then it called `window--dump-frame' 3 times.  Then it fit the frame.
Then it called `window--dump-frame' 3 times again. `window--dump-frame'
inserted a form feed, then the data.

So each `fit-frame' call starts with ------------.  It is followed
by 6 sets of data printed by `window--dump-frame', each introduced
with a form feed.

> In any case, if setting `w32-enable-frame-resize-hack' does make a
> difference, I doubt that we can really do anything about this.

I certainly hope you can, though this is not a critical bug.

(It is a regression, in any case.  It should be *possible* to remove
it, since at one time it was not there. ;-)  Of course, that does not
mean that it must be easy to remove it or that removing it and possibly
sacrificin other benefits is TRT.)

> It looks like a timing error where Emacs and Windows have different
> conceptions about the size of the Emacs frame.  Maybe locally binding
> `w32-enable-frame-resize-hack' to nil around the `fit-frame' calls
> would help.

Actually, that does seem to help.  It seems to solve the problem.
Let me know, after looking over all of this information, whether you
think something can be or needs to be fixed on the Emacs side for
this bug, or whether I should just wrap such a binding around the
body of `fit-frame'.

FWIW: Dunno whether it is related, but I have also seen this recently:
Library pp-c-l.el shows a form-feed char in a pretty way, as shown here:
http://www.emacswiki.org/cgi-bin/wiki/PrettyControlL.  This is
still the case in general, but sometimes when a file with form feeds
is first visited they appear normally, i.e., as ^L.  Even hitting `C-l'
does not cause their proper display.  Eventually they are displayed OK.

Perhaps Emacs redisplay is now happening less than was the case before?

Dunno whether this is at all related to bug #16923 (which does not
regain the proper display of the mode line at all).


--__1394210911214216345abhmp0017.oracle.com
Content-Type: image/png; name="throw-emacs-bug-16923.png"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="throw-emacs-bug-16923.png"
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--__1394210911214216345abhmp0017.oracle.com
Content-Type: image/png; name="throw-emacs-bug-16923-w-borders.png"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="throw-emacs-bug-16923-w-borders.png"
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--__1394210911214216345abhmp0017.oracle.com
Content-Type: text/plain; charset=Windows-1252;
 name="throw-emacs-bug-16923.txt"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment; filename="throw-emacs-bug-16923.txt"

------------
=0C
frame pixel: 627 x 832   cols/lines: 75 x 57   units: 8 x 14
frame text pixel: 576 x 802   cols/lines: 72 x 57
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 802   new: 0
char left: 0   top: 0   size: 74 x 57   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 772   char: 72 x 55
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 832   cols/lines: 75 x 57   units: 8 x 14
frame text pixel: 576 x 802   cols/lines: 72 x 57
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 802   new: 0
char left: 0   top: 0   size: 74 x 57   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 772   char: 72 x 55
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 832   cols/lines: 75 x 57   units: 8 x 14
frame text pixel: 576 x 802   cols/lines: 72 x 57
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 802   new: 0
char left: 0   top: 0   size: 74 x 57   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 772   char: 72 x 55
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 856   cols/lines: 75 x 59   units: 8 x 14
frame text pixel: 576 x 826   cols/lines: 72 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 826   new: 0
char left: 0   top: 0   size: 74 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 796   char: 72 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 856   cols/lines: 75 x 59   units: 8 x 14
frame text pixel: 576 x 826   cols/lines: 72 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 826   new: 0
char left: 0   top: 0   size: 74 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 796   char: 72 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 856   cols/lines: 75 x 59   units: 8 x 14
frame text pixel: 576 x 826   cols/lines: 72 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 826   new: 0
char left: 0   top: 0   size: 74 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 796   char: 72 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0

------------
=0C
frame pixel: 627 x 748   cols/lines: 75 x 51   units: 8 x 14
frame text pixel: 576 x 718   cols/lines: 72 x 51
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 828), (0 0 627 748)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 718   new: 0
char left: 0   top: 0   size: 74 x 51   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 688   char: 72 x 49
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 748   cols/lines: 75 x 51   units: 8 x 14
frame text pixel: 576 x 718   cols/lines: 72 x 51
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 828), (0 0 627 748)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 718   new: 0
char left: 0   top: 0   size: 74 x 51   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 688   char: 72 x 49
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 748   cols/lines: 75 x 51   units: 8 x 14
frame text pixel: 576 x 718   cols/lines: 72 x 51
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 828), (0 0 627 748)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 718   new: 0
char left: 0   top: 0   size: 74 x 51   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 688   char: 72 x 49
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 856   cols/lines: 75 x 59   units: 8 x 14
frame text pixel: 576 x 826   cols/lines: 72 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 826   new: 0
char left: 0   top: 0   size: 74 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 796   char: 72 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 856   cols/lines: 75 x 59   units: 8 x 14
frame text pixel: 576 x 826   cols/lines: 72 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 826   new: 0
char left: 0   top: 0   size: 74 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 796   char: 72 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 856   cols/lines: 75 x 59   units: 8 x 14
frame text pixel: 576 x 826   cols/lines: 72 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 826   new: 0
char left: 0   top: 0   size: 74 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 796   char: 72 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0

------------
=0C
frame pixel: 627 x 832   cols/lines: 75 x 57   units: 8 x 14
frame text pixel: 576 x 802   cols/lines: 72 x 57
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 802   new: 0
char left: 0   top: 0   size: 74 x 57   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 772   char: 72 x 55
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 832   cols/lines: 75 x 57   units: 8 x 14
frame text pixel: 576 x 802   cols/lines: 72 x 57
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 802   new: 0
char left: 0   top: 0   size: 74 x 57   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 772   char: 72 x 55
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 832   cols/lines: 75 x 57   units: 8 x 14
frame text pixel: 576 x 802   cols/lines: 72 x 57
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 802   new: 0
char left: 0   top: 0   size: 74 x 57   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 772   char: 72 x 55
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 772   cols/lines: 75 x 53   units: 8 x 14
frame text pixel: 576 x 742   cols/lines: 72 x 53
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 828), (0 0 627 748)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 742   new: 0
char left: 0   top: 0   size: 74 x 53   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 712   char: 72 x 50
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 772   cols/lines: 75 x 53   units: 8 x 14
frame text pixel: 576 x 742   cols/lines: 72 x 53
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 828), (0 0 627 748)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 742   new: 0
char left: 0   top: 0   size: 74 x 53   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 712   char: 72 x 50
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 772   cols/lines: 75 x 53   units: 8 x 14
frame text pixel: 576 x 742   cols/lines: 72 x 53
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 828), (0 0 627 748)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 742   new: 0
char left: 0   top: 0   size: 74 x 53   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 712   char: 72 x 50
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0

------------
=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 856   cols/lines: 75 x 59   units: 8 x 14
frame text pixel: 576 x 826   cols/lines: 72 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 826   new: 0
char left: 0   top: 0   size: 74 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 796   char: 72 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 856   cols/lines: 75 x 59   units: 8 x 14
frame text pixel: 576 x 826   cols/lines: 72 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 826   new: 0
char left: 0   top: 0   size: 74 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 796   char: 72 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 627 x 856   cols/lines: 75 x 59   units: 8 x 14
frame text pixel: 576 x 826   cols/lines: 72 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 635 912), (0 0 627 832)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 597 x 826   new: 0
char left: 0   top: 0   size: 74 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 576 x 796   char: 72 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0

------------
=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0

------------
=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0

------------
=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0


=0C
frame pixel: 699 x 856   cols/lines: 84 x 59   units: 8 x 14
frame text pixel: 648 x 826   cols/lines: 81 x 59
tool: 0  scroll: 21  fringe: 0  border: 15  right: 2  bottom: 2
w32-rect: (0 0 707 912), (0 0 699 856)
#<window 24 on *info*>   parent: nil
pixel left: 0   top: 0   size: 669 x 826   new: 0
char left: 0   top: 0   size: 83 x 59   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 648 x 796   char: 81 x 56
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 14  mode-line: 16  divider: 0

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D

--__1394210911214216345abhmp0017.oracle.com--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 7 Mar 2014 07:39:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 07 02:39:56 2014
Received: from localhost ([127.0.0.1]:54154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLpNr-000485-Qo
	for submit <at> debbugs.gnu.org; Fri, 07 Mar 2014 02:39:56 -0500
Received: from mout.gmx.net ([212.227.17.20]:52603)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WLpNg-00047i-Cv
 for 16923 <at> debbugs.gnu.org; Fri, 07 Mar 2014 02:39:46 -0500
Received: from [62.46.209.190] ([62.46.209.190]) by mail.gmx.com (mrgmx103)
 with ESMTPSA (Nemesis) id 0McUnM-1WdMGU0FbE-00HjC7; Fri, 07 Mar 2014 08:39:42
 +0100
Message-ID: <531977B2.8030109@HIDDEN>
Date: Fri, 07 Mar 2014 08:39:30 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN> <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
 <531780D7.6070109@HIDDEN> <291bd9d5-923f-440a-821a-06f585557e67@default>
 <5318AFD9.4000208@HIDDEN> <8be91728-fcea-4e74-afff-db6a55b52985@default>
 <5318C478.1090007@HIDDEN> <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default>
 <5318E810.7000705@HIDDEN> <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default>
In-Reply-To: <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:ygqOIbz4HvDFKvpXltZy5uNm1WOXILIISRX30l/C2PepOxBYYQB
 20YWDoXDZaKidYMeolwb0D5JD9YGKR47mY+EPbCEoRTGTc8A63B1B3E436137oAF6QKyWoo
 OkP75Kq9ulbg4IAgG1qj+j08ix3nYsko4SdBF6ejUtVAI/cxzb2YzJwz3zKthMBDCa7zaz9
 ZUNxl6H1EATTR/qYcz8Iw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >>  > height header-line: 0  mode-line: 14  divider: 0
 >>
 >> Is this in a frame without mode line?
 >
 > This is the frame that I tested the mode-line disappearance for.
 > Isn't that what you had in mind?
 >
 > The frame had a mode line.  I used M-: (fit-frame) twice, which
 > removed the mode line.  I used (window--dump-frame), then reported
 > the contents of buffer *window-frame-dump*.

So the window code calculated 14 pixels for the mode line which
subsequently either got lost in the display engine or was cut off by the
window manager.  It would be still interesting to see a high resolution
screenshot of the lower part of your frame.

A list of things you can try:

(1) You have set frame parameters for right and bottom dividers.  Maybe
     they interfere, so try without them.

(2) Set the `border-width' and/or `internal-border-width' parameter of
     your frame to some number and look whether a border stays visible at
     the bottom of a frame whose window lost its mode line.

(3) Try to enhance `window--dump-frame' in a way that it does not erase
     its buffer and call it several times, immediately before and after
     you ask for a frame size change in `fit-frame'.  Moreover, you could
     add two lines to it with a suitable informatory text to display the
     values returned by

     (w32-frame-rect frame)
     (w32-frame-rect frame t)

     These are Windows specific so I can't include them in the
     `window--dump-frame' version that comes with Emacs.

In any case, if setting `w32-enable-frame-resize-hack' does make a
difference, I doubt that we can really do anything about this.  It looks
like a timing error where Emacs and Windows have different conceptions
about the size of the Emacs frame.  Maybe locally binding
`w32-enable-frame-resize-hack' to nil around the `fit-frame' calls would
help.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 6 Mar 2014 21:51:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 06 16:51:24 2014
Received: from localhost ([127.0.0.1]:53888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLgCJ-0002Vo-QW
	for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 16:51:24 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:25148)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WLgCH-0002Ve-Ig
 for 16923 <at> debbugs.gnu.org; Thu, 06 Mar 2014 16:51:22 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s26LpILS025555
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Thu, 6 Mar 2014 21:51:19 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s26LpHs2003129
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Thu, 6 Mar 2014 21:51:18 GMT
Received: from abhmp0014.oracle.com (abhmp0014.oracle.com [141.146.116.20])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s26LpHH6020420;
 Thu, 6 Mar 2014 21:51:17 GMT
MIME-Version: 1.0
Message-ID: <dbc69634-37da-4dcf-a7c6-6c43184b4b6c@default>
Date: Thu, 6 Mar 2014 13:51:16 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN> <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
 <531780D7.6070109@HIDDEN> <291bd9d5-923f-440a-821a-06f585557e67@default>
 <5318AFD9.4000208@HIDDEN> <8be91728-fcea-4e74-afff-db6a55b52985@default>
 <5318C478.1090007@HIDDEN> <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default>
 <5318E810.7000705@HIDDEN>
In-Reply-To: <5318E810.7000705@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>  > height header-line: 0  mode-line: 14  divider: 0
>=20
> Is this in a frame without mode line?

This is the frame that I tested the mode-line disappearance for.
Isn't that what you had in mind?

The frame had a mode line.  I used M-: (fit-frame) twice, which
removed the mode line.  I used (window--dump-frame), then reported
the contents of buffer *window-frame-dump*.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 6 Mar 2014 21:26:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 06 16:26:57 2014
Received: from localhost ([127.0.0.1]:53840 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLfoe-0001dq-51
	for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 16:26:57 -0500
Received: from mout.gmx.net ([212.227.17.21]:61261)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WLfob-0001dW-HS
 for 16923 <at> debbugs.gnu.org; Thu, 06 Mar 2014 16:26:54 -0500
Received: from [194.118.137.221] ([194.118.137.221]) by mail.gmx.com
 (mrgmx103) with ESMTPSA (Nemesis) id 0MdK8t-1We22q2M8B-00IYju; Thu, 06 Mar
 2014 22:26:51 +0100
Message-ID: <5318E810.7000705@HIDDEN>
Date: Thu, 06 Mar 2014 22:26:40 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN> <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
 <531780D7.6070109@HIDDEN> <291bd9d5-923f-440a-821a-06f585557e67@default>
 <5318AFD9.4000208@HIDDEN> <8be91728-fcea-4e74-afff-db6a55b52985@default>
 <5318C478.1090007@HIDDEN> <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default>
In-Reply-To: <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:RsMiPlqoRJ/piSIjSwl1SNanEnvdI/iTCrtYTcK9jeKJkE1Pyw1
 1Bt/wzBRHixi3vvvtsMJHi/t7ya9zofYrUYqAue4z6etT+8/xtjpP0VE73t3SekoLtyj1zP
 fW6LncVZbPVVyO81AXopnTuz0KoZ6z+Gi+Ns7Tn0tGLGRt7oa2DIstO+uZCf4tg87hvrg0s
 loGTna0/OizjuizfYUdJg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > height header-line: 0  mode-line: 14  divider: 0

Is this in a frame without mode line?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 6 Mar 2014 20:51:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 06 15:51:56 2014
Received: from localhost ([127.0.0.1]:53809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLfGl-0000cK-Kl
	for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 15:51:56 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:35518)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WLfGj-0000cA-Hd
 for 16923 <at> debbugs.gnu.org; Thu, 06 Mar 2014 15:51:53 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s26Kpp26013841
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Thu, 6 Mar 2014 20:51:52 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s26Kpnnq010025
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Thu, 6 Mar 2014 20:51:50 GMT
Received: from abhmp0014.oracle.com (abhmp0014.oracle.com [141.146.116.20])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s26KpnsW001655;
 Thu, 6 Mar 2014 20:51:49 GMT
MIME-Version: 1.0
Message-ID: <0f1c6cae-f9cd-4a2b-a662-bcc4116daafc@default>
Date: Thu, 6 Mar 2014 12:51:48 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN> <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
 <531780D7.6070109@HIDDEN> <291bd9d5-923f-440a-821a-06f585557e67@default>
 <5318AFD9.4000208@HIDDEN> <8be91728-fcea-4e74-afff-db6a55b52985@default>
 <5318C478.1090007@HIDDEN>
In-Reply-To: <5318C478.1090007@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> No.  I forgot that this function is not called unless the frame has at
> least two windows.  You could eval (window--dump-frame) immediately in
> the minibuffer window once before (saving the contents of the buffer
> elsewhere) and once immediately after a bad resize.

I tried that. This is what I got in *window-frame-dump*, FWIW:

frame pixel: 728 x 876   cols/lines: 104 x 73   units: 7 x 12
frame text pixel: 707 x 876   cols/lines: 101 x 73
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2

#<window 16 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 876   new: 0
char left: 0   top: 0   size: 104 x 73   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 862   char: 101 x 71
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 6 Mar 2014 18:55:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 06 13:55:06 2014
Received: from localhost ([127.0.0.1]:53707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLdRh-0005kg-Tr
	for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 13:55:06 -0500
Received: from mout.gmx.net ([212.227.17.21]:51240)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WLdRd-0005kB-V0
 for 16923 <at> debbugs.gnu.org; Thu, 06 Mar 2014 13:55:03 -0500
Received: from [188.22.234.36] ([188.22.234.36]) by mail.gmx.com (mrgmx103)
 with ESMTPSA (Nemesis) id 0MgKoE-1WaQmC2ylK-00Nlcq; Thu, 06 Mar 2014 19:54:59
 +0100
Message-ID: <5318C478.1090007@HIDDEN>
Date: Thu, 06 Mar 2014 19:54:48 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN> <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
 <531780D7.6070109@HIDDEN> <291bd9d5-923f-440a-821a-06f585557e67@default>
 <5318AFD9.4000208@HIDDEN> <8be91728-fcea-4e74-afff-db6a55b52985@default>
In-Reply-To: <8be91728-fcea-4e74-afff-db6a55b52985@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:xQbXhwebakx14WzkWGL7v2BX9rPxpFKUBsxMqC9rqbwN0gGLK7H
 4MGXncMdX2hXyYcg1053hs9ujj2IiqThEHmoITVxHmXgCwPG+FRsCIjwdCcH3ZfBXgfoOma
 LfoG9YwaLCxwzhLukFuqehDj5ycSBxW3MtO4dX1lFqtMUPQG4F4aDGW3BcTha9qxQLIF64t
 C9t4E0ECtI7fB1AxtkbQA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > I tried that, but buffer *window-frame-dump* never was filled with any
 > text.  And I never saw any "fatal resize".  IOW, evaluating that defun
 > did not have any effect that I noticed.  I did still continue to
 > observe the behavior I have recorded above, however.  IOW, the mode line
 > continued to disappear in the same way, with no changes that I could
 > see.
 >
 > Do I need to do something more than just evaluate that defun?  Do
 > I need to restart Emacs and do that first or something?  (You mentioned
 > putting it in .emacs, instead of just evaluating it.  I just evaluated
 > it.)

No.  I forgot that this function is not called unless the frame has at
least two windows.  You could eval (window--dump-frame) immediately in
the minibuffer window once before (saving the contents of the buffer
elsewhere) and once immediately after a bad resize.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 6 Mar 2014 18:25:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 06 13:25:38 2014
Received: from localhost ([127.0.0.1]:53633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLczB-0004oz-5i
	for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 13:25:37 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:27994)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WLcz8-0004oq-JO
 for 16923 <at> debbugs.gnu.org; Thu, 06 Mar 2014 13:25:35 -0500
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s26IPW8l018758
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Thu, 6 Mar 2014 18:25:33 GMT
Received: from aserz7021.oracle.com (aserz7021.oracle.com [141.146.126.230])
 by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s26IPVuJ011094
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Thu, 6 Mar 2014 18:25:32 GMT
Received: from abhmp0014.oracle.com (abhmp0014.oracle.com [141.146.116.20])
 by aserz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s26IPVDd022810;
 Thu, 6 Mar 2014 18:25:31 GMT
MIME-Version: 1.0
Message-ID: <8be91728-fcea-4e74-afff-db6a55b52985@default>
Date: Thu, 6 Mar 2014 10:25:30 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN> <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
 <531780D7.6070109@HIDDEN> <291bd9d5-923f-440a-821a-06f585557e67@default>
 <5318AFD9.4000208@HIDDEN>
In-Reply-To: <5318AFD9.4000208@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>  > I was pretty sure that the mode line also disappears in some cases
>  > when moving to a different node.  But I definitely do not see that
>  > now, so I guess I was mistaken about that.
>=20
> (1) The mode line disappears only when the frame size remains the same.
>      Check this please via the arguments you pass (to `set-frame-size' or
>      whatever you use).
>=20
> (2) Everything else is drawn correctly, there's no area with background
>      space only, as you claimed earlier.
>=20
> Is that correct (from your experience, so far)?  You might want to
> attach a screenshot.

Yes, that is what I was saying.  However, testing by printing the sizes
as messages shows that I was wrong (once again).  The mode line can
disappear, it seems, either when the size is the same or when it
increases.

Here are some debug messages, where =3D=3D=3D=3D=3D=3D means the size was n=
ot changed
and /////// means that it was changed.  The old and new sizes are also
noted.

These resizings were not associated with losing the mode line:

CUR: (81 63)
NEW: (76 63)
//////////////////////
CUR: (76 61)
NEW: (81 63)
//////////////////////

These, immediately after those, were:

CUR: (81 61)
NEW: (81 63)
//////////////////////
CUR: (81 63)
NEW: (81 63)
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

That is, the mode line was lost when the height changed from 61 to 63,
and it remained lost when the size was not changed, on the next call
to `set-frame-size'.

In the following sequence of resizings, starting with a visible mode
line, only this change caused the mode line to disappear.  And it
reappeared at the next resizing.

   CUR: (72 20)
   NEW: (72 22)

----------------

CUR: (81 63)
NEW: (72 63)
//////////////////////
CUR: (72 61)
NEW: (72 53)
//////////////////////
CUR: (72 51)
NEW: (72 62)
//////////////////////
CUR: (72 60)
NEW: (72 63)
//////////////////////
CUR: (72 61)
NEW: (72 22)
//////////////////////
CUR: (72 20)
NEW: (72 22)
//////////////////////
CUR: (72 22)
NEW: (72 47)
//////////////////////

---------------

That was using Info.  Note that though the `height' parameter value was
slightly increased when the mode line was lost, I saw no apparent change
in the frame size.  Dunno what that means.

>  > Actually, now I can repro it more simply, without using Info.  In my
>  > setup, if I do M-: (fit-frame) more than once in the same frame, the
>  > mode line sometimes disappears.  For most buffers/frames, it disappear=
s.
>  > But not always.  It does not disappear for `list-faces-display', for
>  > some reason.  (It does disappear for `list-colors-display'.)

With this test of repeating M-: (fit-frame), this is what I see.  The
(240 2) messages are from inputting (fit-frame) into the minibuffer frame,
for M-:. The minibuffer frame is 240 chars wide and 2 chars high.

Evaluating...
CUR: (95 62)
NEW: (95 73)
//////////////////////
Buffer `*Pp Eval Output*' is in mode `Emacs-Lisp'.   For info on the mode: =
`C-h m'.
nil
CUR: (240 2)
NEW: (240 2)
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
Evaluating...
CUR: (95 71)
NEW: (95 73)
//////////////////////
Buffer `*Pp Eval Output*' is in mode `Emacs-Lisp'.   For info on the mode: =
`C-h m'.
nil

Again, there was no apparent change in the frame height, in spite of the
change in `height' parameter value.  The first frame-fit, from height 62
to 73, did represent a size change.  The second, from 71 to 73, did not
show any size change.  The only change I noticed was the mode line
disappearing.

> Add the following function to your .emacs ...
>=20
> (defun window--resize-root-window=20
>    (window delta horizontal ignore pixelwise)
>    ...)
>=20
> ... and post the contents of the buffer *window-frame-dump* after a
> fatal resize operation here (but make sure to not resize any frame again
> _before_ getting hold of that buffer's contents!!!).

I tried that, but buffer *window-frame-dump* never was filled with any
text.  And I never saw any "fatal resize".  IOW, evaluating that defun
did not have any effect that I noticed.  I did still continue to
observe the behavior I have recorded above, however.  IOW, the mode line
continued to disappear in the same way, with no changes that I could
see.

Do I need to do something more than just evaluate that defun?  Do
I need to restart Emacs and do that first or something?  (You mentioned
putting it in .emacs, instead of just evaluating it.  I just evaluated
it.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 6 Mar 2014 17:27:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 06 12:27:07 2014
Received: from localhost ([127.0.0.1]:53566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLc4Y-0001zy-Iy
	for submit <at> debbugs.gnu.org; Thu, 06 Mar 2014 12:27:06 -0500
Received: from mout.gmx.net ([212.227.15.15]:63164)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WLc4V-0001zm-JW
 for 16923 <at> debbugs.gnu.org; Thu, 06 Mar 2014 12:27:04 -0500
Received: from [188.22.234.36] ([188.22.234.36]) by mail.gmx.com (mrgmx002)
 with ESMTPSA (Nemesis) id 0MfVU3-1WXVl90OnT-00P8gj; Thu, 06 Mar 2014 18:27:00
 +0100
Message-ID: <5318AFD9.4000208@HIDDEN>
Date: Thu, 06 Mar 2014 18:26:49 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN> <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
 <531780D7.6070109@HIDDEN> <291bd9d5-923f-440a-821a-06f585557e67@default>
In-Reply-To: <291bd9d5-923f-440a-821a-06f585557e67@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:36sk5CNwk0k5m1ixQzx9Jpcy9hPIoTjtGvjqEfpzuspwZemUVSw
 Bj/IonniZUdcSrHZtEIVDi+bZE0eVEsrO7q0SCu/Qsg9J3SEeqVtPJd4yFaSZPoHA4Cwi85
 S+dQJ52ruV0f9umViUOQIodUt8xLqrPhM9XgJ/7HwhGEwvltVY4VVB7DHp7Sx4KXqlPYX/5
 vAKkH7G7o//qpADVR6XVA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Looking again, I realize I must have been mistaken in what I said
 > earlier today.  It seems now that the mode line disappears only when
 > the node does not change (fit-frame is called anyway).  So yes, the
 > node text size is the same.
 >
 > I was pretty sure that the mode line also disappears in some cases
 > when moving to a different node.  But I definitely do not see that
 > now, so I guess I was mistaken about that.
 >
 > And yes, the frame always has its borders, including the bottom border.

Once more:

(1) The mode line disappears only when the frame size remains the same.
     Check this please via the arguments you pass (to `set-frame-size' or
     whatever you use).

(2) Everything else is drawn correctly, there's no area with background
     space only, as you claimed earlier.

Is that correct (from your experience, so far)?  You might want to
attach a screenshot.

 > Actually, now I can repro it more simply, without using Info.  In my
 > setup, if I do M-: (fit-frame) more than once in the same frame, the
 > mode line sometimes disappears.  For most buffers/frames, it disappears.
 > But not always.  It does not disappear for `list-faces-display', for
 > some reason.  (It does disappear for `list-colors-display'.)

Add the following function to your .emacs ...

(defun window--resize-root-window (window delta horizontal ignore pixelwise)
   "Resize root window WINDOW vertically by DELTA lines.
HORIZONTAL non-nil means resize root window WINDOW horizontally
by DELTA columns.

IGNORE non-nil means ignore any restrictions imposed by fixed
size windows, `window-min-height' or `window-min-width' settings.

This function is only called by the frame resizing routines.  It
resizes windows proportionally and never deletes any windows."
   (when (and (windowp window) (numberp delta))
     (let ((pixel-delta
	   (if pixelwise
	       delta
	     (window--size-to-pixel window delta horizontal))))
       (when (window-sizable-p window pixel-delta horizontal ignore t)
	(window--resize-reset (window-frame window) horizontal)
	(window--resize-this-window
	 window pixel-delta horizontal ignore t)
	(window--dump-frame (window-frame window))))))

... and post the contents of the buffer *window-frame-dump* after a
fatal resize operation here (but make sure to not resize any frame again
_before_ getting hold of that buffer's contents!!!).

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 6 Mar 2014 03:41:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 22:41:54 2014
Received: from localhost ([127.0.0.1]:52259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLPBx-0007pU-RW
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 22:41:54 -0500
Received: from mtaout21.012.net.il ([80.179.55.169]:52050)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WLPBt-0007pF-Dz
 for 16923 <at> debbugs.gnu.org; Wed, 05 Mar 2014 22:41:50 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0N1Z00100W7V9M00@HIDDEN> for 16923 <at> debbugs.gnu.org;
 Thu, 06 Mar 2014 05:41:47 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N1Z0019KWXN5260@HIDDEN>;
 Thu, 06 Mar 2014 05:41:47 +0200 (IST)
Date: Thu, 06 Mar 2014 05:41:40 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
In-reply-to: <cf09c4dd-2fb2-419c-bb6c-11671a83697e@default>
X-012-Sender: halo1@HIDDEN
To: Drew Adams <drew.adams@HIDDEN>
Message-id: <83bnxkq9hn.fsf@HIDDEN>
References: <cf09c4dd-2fb2-419c-bb6c-11671a83697e@default>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16923
Cc: rudalics@HIDDEN, 16923 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Wed, 5 Mar 2014 13:02:07 -0800 (PST)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: drew.adams@HIDDEN, 16923 <at> debbugs.gnu.org
> 
> (One thing I perhaps did not mention: the problem exists regardless
> of the value of `Info-use-header-line'.)

You did mention this fact.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 5 Mar 2014 21:23:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 16:23:15 2014
Received: from localhost ([127.0.0.1]:52000 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLJHW-00033j-Ur
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 16:23:15 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:40614)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WLJHU-00033b-Lz
 for 16923 <at> debbugs.gnu.org; Wed, 05 Mar 2014 16:23:13 -0500
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s25LNBnx001536
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 5 Mar 2014 21:23:11 GMT
Received: from userz7022.oracle.com (userz7022.oracle.com [156.151.31.86])
 by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s25LN9IA012519
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Wed, 5 Mar 2014 21:23:09 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by userz7022.oracle.com (8.14.5+Sun/8.14.4) with ESMTP id s25LN9vL002422;
 Wed, 5 Mar 2014 21:23:09 GMT
MIME-Version: 1.0
Message-ID: <291bd9d5-923f-440a-821a-06f585557e67@default>
Date: Wed, 5 Mar 2014 13:23:08 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN> <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
 <531780D7.6070109@HIDDEN>
In-Reply-To: <531780D7.6070109@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>  > Wrt the mode line, let me correct something I said earlier.
>  >
>  > I thought that the space was there for the mode line, but without
>  > the mode line text, faces, mouseover etc., i.e., as if there were
>  > an extra blank buffer line.  I was wrong about that.
>  >
>  > Checking again, I see that the buffer text extends to the bottom frame
>  > border, just as it does when frame parameter `modeline' has value nil.
>  > IOW, the mode line is apparently just not there; it is not just that i=
t
>  > is displayed wrong.  However, `frame-parameters' shows the `mode-line'
>  > parameter value to be `t'.
>=20
> This is a completely different situation.  In addition, it probably
> happens only when you want to enlarge the frame.  A timing problem,
> likely.  Does the frame have at least an external border at the bottom?

Looking again, I realize I must have been mistaken in what I said
earlier today.  It seems now that the mode line disappears only when
the node does not change (fit-frame is called anyway).  So yes, the
node text size is the same.

I was pretty sure that the mode line also disappears in some cases
when moving to a different node.  But I definitely do not see that
now, so I guess I was mistaken about that.

And yes, the frame always has its borders, including the bottom border.

Sorry for the confusion.

---

Actually, now I can repro it more simply, without using Info.  In my
setup, if I do M-: (fit-frame) more than once in the same frame, the
mode line sometimes disappears.  For most buffers/frames, it disappears.
But not always.  It does not disappear for `list-faces-display', for
some reason.  (It does disappear for `list-colors-display'.)

I still don't have a minimal recipe for this.  Perhaps tonight I will
try again to narrow things down, given this knowledge.  I thought this
was specific to Info.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 5 Mar 2014 21:02:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 16:02:14 2014
Received: from localhost ([127.0.0.1]:51995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLIxB-0002UC-NB
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 16:02:14 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:29949)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WLIx8-0002U1-PS
 for 16923 <at> debbugs.gnu.org; Wed, 05 Mar 2014 16:02:11 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s25L288a010656
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 5 Mar 2014 21:02:09 GMT
Received: from aserz7021.oracle.com (aserz7021.oracle.com [141.146.126.230])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s25L27H6011743
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Wed, 5 Mar 2014 21:02:08 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by aserz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s25L27Pu025201;
 Wed, 5 Mar 2014 21:02:07 GMT
MIME-Version: 1.0
Message-ID: <cf09c4dd-2fb2-419c-bb6c-11671a83697e@default>
Date: Wed, 5 Mar 2014 13:02:07 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <<b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>>
 <<53143D5C.7020000@HIDDEN>> <<a2349e72-8172-4652-a980-890f813bc623@default>>
 <<5314CBE1.6050905@HIDDEN>> <<04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>>
 <<5314DB5D.50709@HIDDEN>> <<29b76228-778a-4aea-8fe4-5abedb5b6795@default>>
 <<531589F3.1050300@HIDDEN>> <<70615a8e-3923-40c3-bfbc-af0a305cd6df@default>>
 <<5316D1B5.8040801@HIDDEN>> <<a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>>
 <<53176AF2.9010800@HIDDEN>> <<edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>>
 <<53177AEF.9050106@HIDDEN>> <<83d2i0qulk.fsf@HIDDEN>>
In-Reply-To: <<83d2i0qulk.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> > Anyway - the two puzzling aspects are that the mode line apparently get=
s
> > erased (who can do such a thing to the mode line?) while the header lin=
e
> > remains unharmed.
>=20
> If someone could post a recipe for reproducing this, perhaps I could
> help with answering these questions.

See my initial post - to repro, the setup needed is too complex.
I spent a lot of time trying to narrow things down, but was not
successful.  I can repro it with my complete setup, at least, so
I can test things etc.

(One thing I perhaps did not mention: the problem exists regardless
of the value of `Info-use-header-line'.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 5 Mar 2014 20:05:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 15:05:57 2014
Received: from localhost ([127.0.0.1]:51984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLI4i-0000uk-T8
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 15:05:57 -0500
Received: from mtaout24.012.net.il ([80.179.55.180]:51576)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WLI4f-0000uU-51
 for 16923 <at> debbugs.gnu.org; Wed, 05 Mar 2014 15:05:54 -0500
Received: from conversion-daemon.mtaout24.012.net.il by mtaout24.012.net.il
 (HyperSendmail v2007.08) id <0N1Z00400BALII00@HIDDEN> for
 16923 <at> debbugs.gnu.org; Wed, 05 Mar 2014 22:04:05 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout24.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N1Z001O4BQSRO40@HIDDEN>; Wed, 05 Mar 2014 22:04:05 +0200 (IST)
Date: Wed, 05 Mar 2014 22:05:43 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
In-reply-to: <53177AEF.9050106@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: martin rudalics <rudalics@HIDDEN>
Message-id: <83d2i0qulk.fsf@HIDDEN>
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Wed, 05 Mar 2014 20:28:47 +0100
> From: martin rudalics <rudalics@HIDDEN>
> Cc: 16923 <at> debbugs.gnu.org
> 
> Anyway - the two puzzling aspects are that the mode line apparently gets
> erased (who can do such a thing to the mode line?) while the header line
> remains unharmed.

If someone could post a recipe for reproducing this, perhaps I could
help with answering these questions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 5 Mar 2014 19:54:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 14:54:11 2014
Received: from localhost ([127.0.0.1]:51978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLHtL-0000ar-LR
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 14:54:11 -0500
Received: from mout.gmx.net ([212.227.17.22]:59517)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WLHtJ-0000ah-1y
 for 16923 <at> debbugs.gnu.org; Wed, 05 Mar 2014 14:54:09 -0500
Received: from [188.22.107.79] ([188.22.107.79]) by mail.gmx.com (mrgmx003)
 with ESMTPSA (Nemesis) id 0MV5hN-1WiFG10DcL-00YNx7; Wed, 05 Mar 2014 20:54:08
 +0100
Message-ID: <531780D7.6070109@HIDDEN>
Date: Wed, 05 Mar 2014 20:53:59 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN> <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
In-Reply-To: <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:FCQ38lxTYHwc/gYES1Bw6N0wtiwD0A8DBLP3yQj7XYy3vvO8Ioq
 pOorpi4ElBfpJquVpv1efisFlT7sFTVX4GS02IJjw5g8YfSDUpdbbc8Pptq8bK3pbbVbZz4
 aEqjO7BTzK6lA8fRgFvcAhpeJgCYEPGz9sQyS2hVC3Qw3FfVkShNGqjpcXExfujB3SFXrmJ
 Zw2MmbzT6db0gYZMbNyhw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >> Anyway - the two puzzling aspects are that the mode line apparently gets
 >> erased (who can do such a thing to the mode line?) while the header line
 >> remains unharmed.
 >
 > Wrt the mode line, let me correct something I said earlier.
 >
 > I thought that the space was there for the mode line, but without
 > the mode line text, faces, mouseover etc., i.e., as if there were
 > an extra blank buffer line.  I was wrong about that.
 >
 > Checking again, I see that the buffer text extends to the bottom frame
 > border, just as it does when frame parameter `modeline' has value nil.
 > IOW, the mode line is apparently just not there; it is not just that it
 > is displayed wrong.  However, `frame-parameters' shows the `mode-line'
 > parameter value to be `t'.

This is a completely different situation.  In addition, it probably
happens only when you want to enlarge the frame.  A timing problem,
likely.  Does the frame have at least an external border at the bottom?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 5 Mar 2014 19:43:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 14:43:09 2014
Received: from localhost ([127.0.0.1]:51973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLHif-0000G1-EE
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 14:43:09 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:30642)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WLHiZ-0000Fm-7T
 for 16923 <at> debbugs.gnu.org; Wed, 05 Mar 2014 14:43:07 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s25Jh1W6031760
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 5 Mar 2014 19:43:02 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s25Jgw8J005289
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Wed, 5 Mar 2014 19:43:00 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s25JgwAb023568;
 Wed, 5 Mar 2014 19:42:58 GMT
MIME-Version: 1.0
Message-ID: <3f31643f-2638-4ada-8dc4-b3069f3a82fc@default>
Date: Wed, 5 Mar 2014 11:42:58 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
 <53177AEF.9050106@HIDDEN>
In-Reply-To: <53177AEF.9050106@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> Anyway - the two puzzling aspects are that the mode line apparently gets
> erased (who can do such a thing to the mode line?) while the header line
> remains unharmed.

Wrt the mode line, let me correct something I said earlier.

I thought that the space was there for the mode line, but without
the mode line text, faces, mouseover etc., i.e., as if there were
an extra blank buffer line.  I was wrong about that.

Checking again, I see that the buffer text extends to the bottom frame
border, just as it does when frame parameter `modeline' has value nil.
IOW, the mode line is apparently just not there; it is not just that it
is displayed wrong.  However, `frame-parameters' shows the `mode-line'
parameter value to be `t'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 5 Mar 2014 19:29:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 14:29:00 2014
Received: from localhost ([127.0.0.1]:51964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLHUx-0008EP-IH
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 14:28:59 -0500
Received: from mout.gmx.net ([212.227.15.19]:58631)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WLHUu-0008EG-W8
 for 16923 <at> debbugs.gnu.org; Wed, 05 Mar 2014 14:28:58 -0500
Received: from [188.22.107.79] ([188.22.107.79]) by mail.gmx.com (mrgmx003)
 with ESMTPSA (Nemesis) id 0LwrPM-1XIgX92zw8-016LRH; Wed, 05 Mar 2014 20:28:55
 +0100
Message-ID: <53177AEF.9050106@HIDDEN>
Date: Wed, 05 Mar 2014 20:28:47 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN> <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
In-Reply-To: <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:ZjJx9WcUyvBh9iG6XzabJpF/ThG5gsXrW04kXzimryIiFBKs9C8
 P9EX4/A0W1ryUfPjxvAxmoPuWGp7w6fsjC6Gm8g8jfPAK8RHhHv4djh8GadjJVWX44WWy93
 oOg/3srpPbbcG70YbNfNEdHLbd4O+mZ7Aq4XJZ5OO6B7nhiZJP7KmU65YAOxDd540X2Xfq3
 uI4oAOG9p8vNkWK1mkaGQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >> And it has a mode line and you switch to another Info node and you want
 >> to adjust the frame to the size of its page but in fact the page size
 >> did not change but the mode line disappears?
 >
 > I'm not sure what the question is.

It was an attempt to describe what happened.

 > But yes, except for the last part.
 >
 > It is not the case in general that the page size does not change when
 > the mode line disappears. IOW, I think you are guessing that the newly
 > visited node has the same page size as the last-visited one, whenever
 > the mode line disappears. That is not the case.  IOW2: Frame resizing
 > may well change the frame size when the mode line disappears.
 >
 > I see no connection between the occurrence of losing the mode line
 > and whether or not frame fitting actually changes the frame size.
 > And in any case, even when the size might end up being exactly the
 > same, `set-frame-size' is called.

`set-frame-size' returns earlier when no change of the size is called
for.  But if you say that it does not depend on whether a size change
occurred there's no sense pursuing this track any further.

Anyway - the two puzzling aspects are that the mode line apparently gets
erased (who can do such a thing to the mode line?) while the header line
remains unharmed.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 5 Mar 2014 18:32:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 13:32:31 2014
Received: from localhost ([127.0.0.1]:51929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLGcJ-0006fS-0y
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 13:32:31 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:24015)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WLGcH-0006fI-69
 for 16923 <at> debbugs.gnu.org; Wed, 05 Mar 2014 13:32:29 -0500
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s25IWR3t005935
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 5 Mar 2014 18:32:28 GMT
Received: from aserz7021.oracle.com (aserz7021.oracle.com [141.146.126.230])
 by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s25IWPOH006093
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Wed, 5 Mar 2014 18:32:26 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by aserz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s25IWP5o017577;
 Wed, 5 Mar 2014 18:32:25 GMT
MIME-Version: 1.0
Message-ID: <edc5b3cb-8cbd-47fa-aa9e-be9372c43863@default>
Date: Wed, 5 Mar 2014 10:32:25 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
 <53176AF2.9010800@HIDDEN>
In-Reply-To: <53176AF2.9010800@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>  > The Info frame already exists. It has no minibuffer, and it shows
>  > only buffer *info*.
>=20
> And it has a mode line and you switch to another Info node and you want
> to adjust the frame to the size of its page but in fact the page size
> did not change but the mode line disappears?

I'm not sure what the question is.  But yes, except for the last part.

It is not the case in general that the page size does not change when
the mode line disappears. IOW, I think you are guessing that the newly
visited node has the same page size as the last-visited one, whenever
the mode line disappears. That is not the case.  IOW2: Frame resizing
may well change the frame size when the mode line disappears.

I see no connection between the occurrence of losing the mode line
and whether or not frame fitting actually changes the frame size.
And in any case, even when the size might end up being exactly the
same, `set-frame-size' is called.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 5 Mar 2014 18:20:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 13:20:49 2014
Received: from localhost ([127.0.0.1]:51924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLGQy-0006Kx-Cq
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 13:20:48 -0500
Received: from mout.gmx.net ([212.227.15.18]:52500)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WLGQu-0006Kk-QL
 for 16923 <at> debbugs.gnu.org; Wed, 05 Mar 2014 13:20:46 -0500
Received: from [188.22.107.79] ([188.22.107.79]) by mail.gmx.com (mrgmx001)
 with ESMTPSA (Nemesis) id 0Lrek1-1XLiPG1YQX-013Qu5; Wed, 05 Mar 2014 19:20:43
 +0100
Message-ID: <53176AF2.9010800@HIDDEN>
Date: Wed, 05 Mar 2014 19:20:34 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN> <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
In-Reply-To: <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:4cHJPWEq5zC6UlUI+dtdU/WJpr6Q6RdJ4tp8eEqWwV9XV+M+5O8
 j8uSv3/8ylrIrH884kuXIcGjwFdxBuWd/qqOz7YaDmCM9wq7COMWiKHCXYfSr2YEViwpbqK
 FlXw4RkZ14Ph9QwCfUk9w60Wdo16MonqYeTne8ElR3KFhpOqd2rgtBl7uNVzE+ucJLK8SlP
 5S3i0o3QysHb6iov97RPA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > The Info frame already exists. It has no minibuffer, and it shows only
 > buffer *info*.

And it has a mode line and you switch to another Info node and you want
to adjust the frame to the size of its page but in fact the page size
did not change but the mode line disappears?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 5 Mar 2014 16:02:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 11:02:55 2014
Received: from localhost ([127.0.0.1]:51863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLEHW-0002OK-St
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 11:02:55 -0500
Received: from mail-yk0-f170.google.com ([209.85.160.170]:54777)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1WLEHQ-0002O3-9W
 for 16923 <at> debbugs.gnu.org; Wed, 05 Mar 2014 11:02:53 -0500
Received: by mail-yk0-f170.google.com with SMTP id 9so3191165ykp.1
 for <16923 <at> debbugs.gnu.org>; Wed, 05 Mar 2014 08:02:47 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=8U7nn1yrYI+UY01M/+ICuU84tOtgDOzXVGvzsCG0J+I=;
 b=cmQuytqdNOos89znwh0hQ/EaYVFYn5EiGjz7q1rogcBG7RF03eK2N6s3hE0MmMbR3L
 WxJWXy2hbuT626UUIw0CReofBBAhE6Rd3suZ1AzlJ5ipmjumpxizRZOi8AcLR7a1fTfl
 ME5JDBVkuXcz7HyZoMW+Flu46POPstnu1DA5ncTSF75C4bqEhr2m6DwvZWe7nWGyO2w1
 8ikIFS27Z8wMgZ3steqQ1czk3i/7SszGsfx8+DWsKxoBHoQlHngJrrhy1uI+EJr4X/ON
 VEO18w0DXWw5uvjfNy5tTShGA08Z6UOmYh6IGiq2Qw/oci/T2xTmEIAqE1Z6FbPga9VG
 0WFg==
X-Received: by 10.236.17.195 with SMTP id j43mr1967873yhj.137.1394035367029;
 Wed, 05 Mar 2014 08:02:47 -0800 (PST)
MIME-Version: 1.0
Received: by 10.170.163.3 with HTTP; Wed, 5 Mar 2014 08:02:06 -0800 (PST)
In-Reply-To: <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN>
 <a2349e72-8172-4652-a980-890f813bc623@default> <5314CBE1.6050905@HIDDEN>
 <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default> <5314DB5D.50709@HIDDEN>
 <29b76228-778a-4aea-8fe4-5abedb5b6795@default> <531589F3.1050300@HIDDEN>
 <70615a8e-3923-40c3-bfbc-af0a305cd6df@default> <5316D1B5.8040801@HIDDEN>
 <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 5 Mar 2014 17:02:06 +0100
Message-ID: <CAAeL0SRs6j=3UnkVr-v+s8FFNtj9z61kTRQJDFa9G1CFmO55hg@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
To: Drew Adams <drew.adams@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16923
Cc: martin rudalics <rudalics@HIDDEN>, 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, Mar 5, 2014 at 4:43 PM, Drew Adams <drew.adams@HIDDEN> wrote:

> I tried to give the (single-window) frame a minibuffer but was
> unsuccessful. I tried both
> M-: (set-frame-parameter nil 'minibuffer t) and
> M-: (modify-frame-parameters nil '((minibuffer . t))).
>
> Neither had any effect: the value of parameter `minibuffer' remained
> nil.  (Am I missing something here?  Is that another bug?)

AFAIK, you cannot change a frame's minibuffer state once it has been
created. It's not very clearly documented, or I couldn't find it, but
at least info node "(elisp)Minibuffers and Frames" tells

     However, you can also create a frame with no minibuffer.  Such a
  frame must use the minibuffer window of some other frame.  When you
  create the frame, you can explicitly specify the minibuffer window to
  use (in some other frame).  If you don't, then the minibuffer is found
  in the frame which is the value of the variable
  `default-minibuffer-frame'.  Its value should be a frame that does have
  a minibuffer.

and no reference is done to changing it afterwards.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 5 Mar 2014 15:43:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 10:43:36 2014
Received: from localhost ([127.0.0.1]:51850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLDyp-0001oy-L9
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 10:43:35 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:45877)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WLDym-0001on-FR
 for 16923 <at> debbugs.gnu.org; Wed, 05 Mar 2014 10:43:33 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s25FhVWC023089
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Wed, 5 Mar 2014 15:43:31 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by ucsinet22.oracle.com (8.14.5+Sun/8.14.5) with ESMTP id s25FhUk9020570
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Wed, 5 Mar 2014 15:43:30 GMT
Received: from abhmp0009.oracle.com (abhmp0009.oracle.com [141.146.116.15])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s25FhTnm007057;
 Wed, 5 Mar 2014 15:43:29 GMT
MIME-Version: 1.0
Message-ID: <a2e7f767-2129-4d48-97f4-18b8fbfd6af7@default>
Date: Wed, 5 Mar 2014 07:43:28 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
 <5316D1B5.8040801@HIDDEN>
In-Reply-To: <5316D1B5.8040801@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>  > Yes, by default I put the breadcrumbs in the mode line.  However, turn=
ing
>  > this off (and so restoring the usual mode line for Info) does not chan=
ge
>  > things: the header line is still visible even when the mode line
>  > disappears.  The header line has never disappeared.  (And I do not
>  > change the Info header line.)
>=20
> Does the problem appear when you make a new frame or when you resize an
> existing one that was already visible before?  Is it a standalone frame
> without minibuffer?  What happens when you split the frame or give it
> its own minibuffer window?  Does the modeline reappear when you change
> to another Info node?

The Info frame already exists. It has no minibuffer, and it shows only
buffer *info*.

If I split the window in the frame then there is no problem, but
for the simple reason that no frame fitting is done (no call to
`set-frame-size').

I tried to give the (single-window) frame a minibuffer but was
unsuccessful. I tried both
M-: (set-frame-parameter nil 'minibuffer t) and
M-: (modify-frame-parameters nil '((minibuffer . t))).

Neither had any effect: the value of parameter `minibuffer' remained
nil.  (Am I missing something here?  Is that another bug?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 5 Mar 2014 07:26:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 05 02:26:58 2014
Received: from localhost ([127.0.0.1]:51024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WL6ED-0002OF-NE
	for submit <at> debbugs.gnu.org; Wed, 05 Mar 2014 02:26:58 -0500
Received: from mout.gmx.net ([212.227.17.22]:55099)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WL6EA-0002O4-W5
 for 16923 <at> debbugs.gnu.org; Wed, 05 Mar 2014 02:26:55 -0500
Received: from [178.190.22.148] ([178.190.22.148]) by mail.gmx.com (mrgmx101)
 with ESMTPSA (Nemesis) id 0LvyAz-1XHUci3IWD-017ilr;
 Wed, 05 Mar 2014 08:26:53 +0100
Message-ID: <5316D1B5.8040801@HIDDEN>
Date: Wed, 05 Mar 2014 08:26:45 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN> <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
In-Reply-To: <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:qjf3eDheQj/5TfC4QB9g2SDNtvzaAEXSBbMgpsn6qwjUJJbJU+u
 GwNpovsRijI2R8ELcyEuINHbuQNA4b22pizFLv4EnFM4howAGaBE35kx9eS99gj3QdrwkhH
 R7PtFdKSQdSs2BvbW+YWVb5a93O8B24CBelhYUwuBbDdVFkqo9Uwi8CW1NG4LoemZ4LKDDE
 VYfgkTalV7ehqdQEYxwPA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Yes, by default I put the breadcrumbs in the mode line.  However, turning
 > this off (and so restoring the usual mode line for Info) does not change
 > things: the header line is still visible even when the mode line disappears.
 > The header line has never disappeared.  (And I do not change the Info header
 > line.)

Does the problem appear when you make a new frame or when you resize an
existing one that was already visible before?  Is it a standalone frame
without minibuffer?  What happens when you split the frame or give it
its own minibuffer window?  Does the modeline reappear when you change
to another Info node?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 4 Mar 2014 18:45:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 04 13:45:36 2014
Received: from localhost ([127.0.0.1]:50672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKuLP-0004Cv-Ni
	for submit <at> debbugs.gnu.org; Tue, 04 Mar 2014 13:45:36 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:48188)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WKuLM-00048Y-Js
 for 16923 <at> debbugs.gnu.org; Tue, 04 Mar 2014 13:45:33 -0500
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s24IjUPN009955
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Tue, 4 Mar 2014 18:45:31 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s24IjUOi001859
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Tue, 4 Mar 2014 18:45:30 GMT
Received: from abhmp0003.oracle.com (abhmp0003.oracle.com [141.146.116.9])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s24IjTOd001840;
 Tue, 4 Mar 2014 18:45:29 GMT
MIME-Version: 1.0
Message-ID: <70615a8e-3923-40c3-bfbc-af0a305cd6df@default>
Date: Tue, 4 Mar 2014 10:45:29 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
 <531589F3.1050300@HIDDEN>
In-Reply-To: <531589F3.1050300@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>  > I can reconfirm that this is the case, however strange it may seem.
>  > But this might be because of differences due to info+.el.  What is the
>  > reason that you expect the header line to be lost along with the mode
>  > line?
>=20
> Because the header line gets drawn immediately after the mode line.  Are
> you displaying something special in the mode line?  Maybe you can try to
> display the same string in the header line too and see whether it fails
> displaying/updating as well.

Yes, by default I put the breadcrumbs in the mode line.  However, turning
this off (and so restoring the usual mode line for Info) does not change
things: the header line is still visible even when the mode line disappears=
.
The header line has never disappeared.  (And I do not change the Info heade=
r
line.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 4 Mar 2014 08:08:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 04 03:08:30 2014
Received: from localhost ([127.0.0.1]:49777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKkOs-000731-9j
	for submit <at> debbugs.gnu.org; Tue, 04 Mar 2014 03:08:30 -0500
Received: from mout.gmx.net ([212.227.15.15]:60858)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WKkOp-00072s-Kf
 for 16923 <at> debbugs.gnu.org; Tue, 04 Mar 2014 03:08:28 -0500
Received: from [188.22.42.36] ([188.22.42.36]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0MV5tl-1WhgYR2sVp-00YRt8 for
 <16923 <at> debbugs.gnu.org>; Tue, 04 Mar 2014 09:08:26 +0100
Message-ID: <531589F3.1050300@HIDDEN>
Date: Tue, 04 Mar 2014 09:08:19 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN> <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
In-Reply-To: <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:8/jQ2rr6OMEK3m6B+fiGLEZlzDXMVopa91rAbKsl6pl4GAmBoEv
 VCcZb/WOouOc6TKcrN3ZbtkvVPAYGsrWZRQ9kWVDDK+DIhu69Ex4XU90FfjC7zB+/AwJOyh
 YdCL6hMH8ISoKdCEtCOGzE8d4glfG62x+ISaKU4Xn6Z5XngNgR252R7kF43UnhIQEjAKNhZ
 63wdxGKuJlyX5ScDsc+jA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > I can reconfirm that this is the case, however strange it may seem.
 > But this might be because of differences due to info+.el.  What is the
 > reason that you expect the header line to be lost along with the mode
 > line?

Because the header line gets drawn immediately after the mode line.  Are
you displaying something special in the mode line?  Maybe you can try to
display the same string in the header line too and see whether it fails
displaying/updating as well.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 3 Mar 2014 21:07:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 03 16:07:42 2014
Received: from localhost ([127.0.0.1]:49460 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKa5N-0005xv-PK
	for submit <at> debbugs.gnu.org; Mon, 03 Mar 2014 16:07:42 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:36828)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WKa5L-0005xk-Iz
 for 16923 <at> debbugs.gnu.org; Mon, 03 Mar 2014 16:07:40 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s23L7cic011443
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Mon, 3 Mar 2014 21:07:38 GMT
Received: from userz7022.oracle.com (userz7022.oracle.com [156.151.31.86])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s23L7bQq022347
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Mon, 3 Mar 2014 21:07:37 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by userz7022.oracle.com (8.14.5+Sun/8.14.4) with ESMTP id s23L7an6022675;
 Mon, 3 Mar 2014 21:07:36 GMT
MIME-Version: 1.0
Message-ID: <29b76228-778a-4aea-8fe4-5abedb5b6795@default>
Date: Mon, 3 Mar 2014 13:07:36 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
 <5314DB5D.50709@HIDDEN>
In-Reply-To: <5314DB5D.50709@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>  >>  > So it seems that with the code after 2013-12-14 a nil value has
>  >>  > the same effect as a non-nil value (?).
>  >>
>  >> No.  The only difference is that the default value has changed.
>  >
>  > I meant wrt this latest reported problem.  Neither t nor nil fixes tha=
t.
>=20
> That seems to contradict my guess.

I'm sorry; my bad.  Setting it to nil fixes this problem but brings back
the thumbnail frame problem (which is much more important for me).

>  >> But you could make sure that (1) the bug is here with 2013-12-14 when
>  >> you set `w32-enable-frame-resize-hack' to t and (2) the bug is not he=
re
>  >> with 2013-12-16 when you set `w32-enable-frame-resize-hack' to nil
>  >
>  > Not sure what you mean. Which bug, the thumbnail frame problem or the
>  > current problem?  Please clarify what you would like me to try/test.
>=20
> The current mode line problem.  Please try once more.  If setting this
> variable doesn't change anything, it can't be the cause and we have to
> look elsewhere.

I thought I already answered that.  Anyway, yes: if I set the var to t
in the 2013-12-14 build then I get the mode-line problem.  And if I set
it to nil in the 2013-12-16 build then that prevents the mode-line problem.

>  >> BTW: Does Info still display a header line when the mode line is lost=
?
>  >
>  > Yes.
>=20
> Strange.

I can reconfirm that this is the case, however strange it may seem.
But this might be because of differences due to info+.el.  What is the
reason that you expect the header line to be lost along with the mode
line?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 3 Mar 2014 19:43:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 03 14:43:40 2014
Received: from localhost ([127.0.0.1]:49423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKYm3-0003iO-2l
	for submit <at> debbugs.gnu.org; Mon, 03 Mar 2014 14:43:39 -0500
Received: from mout.gmx.net ([212.227.17.21]:58351)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WKYm0-0003iG-V4
 for 16923 <at> debbugs.gnu.org; Mon, 03 Mar 2014 14:43:38 -0500
Received: from [178.190.164.27] ([178.190.164.27]) by mail.gmx.com (mrgmx102)
 with ESMTPSA (Nemesis) id 0M9eHT-1WVJKz43Pr-00Cxrh for
 <16923 <at> debbugs.gnu.org>; Mon, 03 Mar 2014 20:43:35 +0100
Message-ID: <5314DB5D.50709@HIDDEN>
Date: Mon, 03 Mar 2014 20:43:25 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN> <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
In-Reply-To: <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:G4TTr5j/9I3MHcSKi3aChEkaEsOYqK38/7UKPdvIcL+66VMB12B
 UyvaiVC/eZ1AzL/wMqSQ2DKT5ljs25q9+8S2Uk2IXjWI2zZvCFTNbePc6NMBf/0aBqdyycL
 GWuhaT0acyMjoQeje5LncIPIWdJA/hARHVGuxTWitJQHtEGXbFxOOul7jRhlKz8nyazN4Vz
 5C93RQZcDugPsGAsvgCLA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >>  > So it seems that with the code after 2013-12-14 a nil value has
 >>  > the same effect as a non-nil value (?).
 >>
 >> No.  The only difference is that the default value has changed.
 >
 > I meant wrt this latest reported problem.  Neither t nor nil fixes that.

That seems to contradict my guess.

 >> But you could make sure that (1) the bug is here with 2013-12-14 when
 >> you set `w32-enable-frame-resize-hack' to t and (2) the bug is not here
 >> with 2013-12-16 when you set `w32-enable-frame-resize-hack' to nil
 >
 > Not sure what you mean. Which bug, the thumbnail frame problem or the
 > current problem?  Please clarify what you would like me to try/test.

The current mode line problem.  Please try once more.  If setting this
variable doesn't change anything, it can't be the cause and we have to
look elsewhere.

 >> BTW: Does Info still display a header line when the mode line is lost?
 >
 > Yes.

Strange.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 3 Mar 2014 19:17:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 03 14:17:30 2014
Received: from localhost ([127.0.0.1]:49407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKYMj-00030A-V3
	for submit <at> debbugs.gnu.org; Mon, 03 Mar 2014 14:17:30 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:18477)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WKYMh-000300-Ki
 for 16923 <at> debbugs.gnu.org; Mon, 03 Mar 2014 14:17:28 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s23JHPta018346
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Mon, 3 Mar 2014 19:17:26 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s23JHOup012813
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Mon, 3 Mar 2014 19:17:25 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s23JHOGq016506;
 Mon, 3 Mar 2014 19:17:24 GMT
MIME-Version: 1.0
Message-ID: <04dda5ae-8b70-42f5-ae09-c1d05ebc9297@default>
Date: Mon, 3 Mar 2014 11:17:23 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
 <5314CBE1.6050905@HIDDEN>
In-Reply-To: <5314CBE1.6050905@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>  > So it seems that with the code after 2013-12-14 a nil value has
>  > the same effect as a non-nil value (?).
>=20
> No.  The only difference is that the default value has changed.

I meant wrt this latest reported problem.  Neither t nor nil fixes that.

>  > Is there anything I can set now, to fix or work around this problem?
>=20
> Hardly.  If you set this to nil you will experience the earlier problem
> with your thumbnail frames.
>=20
> But you could make sure that (1) the bug is here with 2013-12-14 when
> you set `w32-enable-frame-resize-hack' to t and (2) the bug is not here
> with 2013-12-16 when you set `w32-enable-frame-resize-hack' to nil

Not sure what you mean. Which bug, the thumbnail frame problem or the
current problem?  Please clarify what you would like me to try/test.
=20
> BTW: Does Info still display a header line when the mode line is lost?

Yes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 3 Mar 2014 18:37:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 03 13:37:31 2014
Received: from localhost ([127.0.0.1]:49397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKXk2-0001yF-Q5
	for submit <at> debbugs.gnu.org; Mon, 03 Mar 2014 13:37:31 -0500
Received: from mout.gmx.net ([212.227.17.20]:61402)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WKXk0-0001y7-KZ
 for 16923 <at> debbugs.gnu.org; Mon, 03 Mar 2014 13:37:29 -0500
Received: from [178.190.164.27] ([178.190.164.27]) by mail.gmx.com (mrgmx103)
 with ESMTPSA (Nemesis) id 0M9bYB-1WVIIy1UmV-00CzKX for
 <16923 <at> debbugs.gnu.org>; Mon, 03 Mar 2014 19:37:27 +0100
Message-ID: <5314CBE1.6050905@HIDDEN>
Date: Mon, 03 Mar 2014 19:37:21 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN> <a2349e72-8172-4652-a980-890f813bc623@default>
In-Reply-To: <a2349e72-8172-4652-a980-890f813bc623@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:ZlBBNXx57l47LuW/8olOoBPnqG91Fe7NqIfP+F1lA25KU2s1y8Z
 jM2us+7Zk60930J57UhCmQzP3PJq7Cl6Dp8/EkpYzwLpEwSwQqTOHp2xltSXiOpz2W0rSFW
 6Ak5uNK+wGFtvmXOTY+4Kk7y5Xsly+KqIbBLbzSMV9h2nDO4pGzewb7bIgwYH8XYl6Q+T4A
 6FZ8eSo6OhzE42X0At4TA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > So it seems that with the code after 2013-12-14 a nil value has
 > the same effect as a non-nil value (?).

No.  The only difference is that the default value has changed.

 > Is there anything I can
 > set now, to fix or work around this problem?

Hardly.  If you set this to nil you will experience the earlier problem
with your thumbnail frames.

But you could make sure that (1) the bug is here with 2013-12-14 when
you set `w32-enable-frame-resize-hack' to t and (2) the bug is not here
with 2013-12-16 when you set `w32-enable-frame-resize-hack' to nil

BTW: Does Info still display a header line when the mode line is lost?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 3 Mar 2014 15:54:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 03 10:54:29 2014
Received: from localhost ([127.0.0.1]:49260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKVCG-0005z8-JO
	for submit <at> debbugs.gnu.org; Mon, 03 Mar 2014 10:54:29 -0500
Received: from mtaout28.012.net.il ([80.179.55.184]:46287)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WKVCC-0005yt-ML
 for 16923 <at> debbugs.gnu.org; Mon, 03 Mar 2014 10:54:26 -0500
Received: from conversion-daemon.mtaout28.012.net.il by mtaout28.012.net.il
 (HyperSendmail v2007.08) id <0N1V00900ATF2F00@HIDDEN> for
 16923 <at> debbugs.gnu.org; Mon, 03 Mar 2014 17:54:37 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout28.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N1V00155AV1L570@HIDDEN>; Mon, 03 Mar 2014 17:54:37 +0200 (IST)
Date: Mon, 03 Mar 2014 17:54:08 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
In-reply-to: <53143D5C.7020000@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: martin rudalics <rudalics@HIDDEN>
Message-id: <83vbvvs2fz.fsf@HIDDEN>
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Mon, 03 Mar 2014 09:29:16 +0100
> From: martin rudalics <rudalics@HIDDEN>
> Cc: 16923 <at> debbugs.gnu.org
> 
> So I suppose that the regression is already here if in the build from
> 2013-12-14 you set `w32-enable-frame-resize-hack' to t.
> 
> If this is the case then we are back at the subject of the Windows-only
> bugs 1348 and 16028.

Only if you are thinking of reverting that change.  I'd rather we
tried to fix this regression without re-introducing the old ones.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 3 Mar 2014 14:44:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 03 09:44:05 2014
Received: from localhost ([127.0.0.1]:48692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKU69-00040e-0k
	for submit <at> debbugs.gnu.org; Mon, 03 Mar 2014 09:44:05 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:43077)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WKU64-000406-UX
 for 16923 <at> debbugs.gnu.org; Mon, 03 Mar 2014 09:44:01 -0500
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s23Ehxt1010657
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Mon, 3 Mar 2014 14:43:59 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s23EhupM012733
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Mon, 3 Mar 2014 14:43:57 GMT
Received: from abhmp0008.oracle.com (abhmp0008.oracle.com [141.146.116.14])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s23Ehuik028222;
 Mon, 3 Mar 2014 14:43:56 GMT
MIME-Version: 1.0
Message-ID: <a2349e72-8172-4652-a980-890f813bc623@default>
Date: Mon, 3 Mar 2014 06:43:55 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
 <53143D5C.7020000@HIDDEN>
In-Reply-To: <53143D5C.7020000@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> I suppose that the regression is already here if in the build from
> 2013-12-14 you set `w32-enable-frame-resize-hack' to t.

Bingo!  Thank you, Martin.  I had completely forgotten about that
variable.

So it seems that with the code after 2013-12-14 a nil value has
the same effect as a non-nil value (?).  Is there anything I can
set now, to fix or work around this problem?

> If this is the case then we are back at the subject of the
> Windows-only bugs 1348 and 16028.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 3 Mar 2014 08:29:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 03 03:29:26 2014
Received: from localhost ([127.0.0.1]:48501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKOFZ-00009O-Fq
	for submit <at> debbugs.gnu.org; Mon, 03 Mar 2014 03:29:25 -0500
Received: from mout.gmx.net ([212.227.17.22]:57371)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WKOFW-00009D-OS
 for 16923 <at> debbugs.gnu.org; Mon, 03 Mar 2014 03:29:23 -0500
Received: from [62.47.61.174] ([62.47.61.174]) by mail.gmx.com (mrgmx102) with
 ESMTPSA (Nemesis) id 0LbgyV-1X5VZC37F5-00lC5v for
 <16923 <at> debbugs.gnu.org>; Mon, 03 Mar 2014 09:29:21 +0100
Message-ID: <53143D5C.7020000@HIDDEN>
Date: Mon, 03 Mar 2014 09:29:16 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
In-Reply-To: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:IQKgbDLkH7vK73ndgjGcyanjfwrStZa6lFM4/zduDVozNNsOzU5
 1iRalrVTKcEL0Bz6uO0ry93T+ps43uoxoUS8LfeZim3IlEDhL3qHbdBqVxCRAzkgZLADO1A
 qBCIt32MMB867iUolGMK3Cnz02u3LdshvYqh+YRbtl0RX7j5VdvJpGt4074IXFwBF4Xd6J6
 bfKUJ7u+Ikjf73ki7KpUg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > I was able to narrow down the time frame when this regression was
 > introduced: This build, from 2013-12-14 does not have the regression:
 >
 > In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 >  of 2013-12-14 on ODIEONE
 > Bzr revision: 115521 rudalics@HIDDEN
 > Windowing system distributor `Microsoft Corp.', version 6.1.7601
 > Configured using:
 >  `configure --prefix=/c/Devel/emacs/binary --enable-checking=yes,glyphs
 >  'CFLAGS=-O0 -g3' LDFLAGS=-Lc:/Devel/emacs/lib
 >  CPPFLAGS=-Ic:/Devel/emacs/include'
 >
 > And this build, from 2013-12-16 has the regression (as do all subsequent
 > builds):
 >
 > In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 >  of 2013-12-16 on ODIEONE
 > Bzr revision: 115543 rudalics@HIDDEN
 > Windowing system distributor `Microsoft Corp.', version 6.1.7601
 > Configured using:
 >  `configure --prefix=/c/Devel/emacs/binary --enable-checking=yes,glyphs
 >  'CFLAGS=-O0 -g3' LDFLAGS=-Lc:/Devel/emacs/lib
 >  CPPFLAGS=-Ic:/Devel/emacs/include'

So I suppose that the regression is already here if in the build from
2013-12-14 you set `w32-enable-frame-resize-hack' to t.

If this is the case then we are back at the subject of the Windows-only
bugs 1348 and 16028.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 2 Mar 2014 21:53:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 02 16:53:26 2014
Received: from localhost ([127.0.0.1]:48248 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKEK5-0006V1-91
	for submit <at> debbugs.gnu.org; Sun, 02 Mar 2014 16:53:25 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:51995)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WKEK2-0006Uq-Mp
 for 16923 <at> debbugs.gnu.org; Sun, 02 Mar 2014 16:53:23 -0500
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s22LrLMJ009996
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sun, 2 Mar 2014 21:53:21 GMT
Received: from aserz7022.oracle.com (aserz7022.oracle.com [141.146.126.231])
 by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s22LrKgE000163
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Sun, 2 Mar 2014 21:53:20 GMT
Received: from abhmp0013.oracle.com (abhmp0013.oracle.com [141.146.116.19])
 by aserz7022.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s22LrJYs029305;
 Sun, 2 Mar 2014 21:53:19 GMT
MIME-Version: 1.0
Message-ID: <f05542ab-8ffb-4d44-8c4e-78746518fd5b@default>
Date: Sun, 2 Mar 2014 13:53:20 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
References: <<b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>>
 <<834n3gtjco.fsf@HIDDEN>>
In-Reply-To: <<834n3gtjco.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> > When `set-frame-size' is called for the current frame (it doesn't matte=
r
> > what the WIDTH and HEIGHT args are, and PIXELWISE is nil) in some Info
> > nodes (I see the problem only in Info nodes, and not most of them), the
> > mode line disappears altogether.
>=20
> Does the problem go away if you set Info-use-header-line to nil?

No.  But part of my setup involves info+.el.  That hooks in the
automatic frame resizing.  It does not do anything special with
`Info-use-header-line', however - does just what vanilla `info.el'
does with it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at 16923 <at> debbugs.gnu.org:


Received: (at 16923) by debbugs.gnu.org; 2 Mar 2014 20:51:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 02 15:51:40 2014
Received: from localhost ([127.0.0.1]:48214 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKDMK-0004vA-BE
	for submit <at> debbugs.gnu.org; Sun, 02 Mar 2014 15:51:40 -0500
Received: from mtaout29.012.net.il ([80.179.55.185]:53617)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WKDMH-0004uy-RY
 for 16923 <at> debbugs.gnu.org; Sun, 02 Mar 2014 15:51:39 -0500
Received: from conversion-daemon.mtaout29.012.net.il by mtaout29.012.net.il
 (HyperSendmail v2007.08) id <0N1T00O00TAERO00@HIDDEN> for
 16923 <at> debbugs.gnu.org; Sun, 02 Mar 2014 22:54:40 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout29.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N1T001KQU340C10@HIDDEN>; Sun, 02 Mar 2014 22:54:40 +0200 (IST)
Date: Sun, 02 Mar 2014 22:51:19 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line
In-reply-to: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
X-012-Sender: halo1@HIDDEN
To: Drew Adams <drew.adams@HIDDEN>
Message-id: <834n3gtjco.fsf@HIDDEN>
References: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16923
Cc: 16923 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sun, 2 Mar 2014 12:05:17 -0800 (PST)
> From: Drew Adams <drew.adams@HIDDEN>
> 
> When `set-frame-size' is called for the current frame (it doesn't matter
> what the WIDTH and HEIGHT args are, and PIXELWISE is nil) in some Info
> nodes (I see the problem only in Info nodes, and not most of them), the
> mode line disappears altogether.

Does the problem go away if you set Info-use-header-line to nil?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Mar 2014 20:05:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 02 15:05:52 2014
Received: from localhost ([127.0.0.1]:48194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKCe0-0003kC-2U
	for submit <at> debbugs.gnu.org; Sun, 02 Mar 2014 15:05:52 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50814)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1WKCdv-0003k0-SC
 for submit <at> debbugs.gnu.org; Sun, 02 Mar 2014 15:05:49 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1WKCdl-0002oo-Fg
 for submit <at> debbugs.gnu.org; Sun, 02 Mar 2014 15:05:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33778)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1WKCdl-0002ok-B7
 for submit <at> debbugs.gnu.org; Sun, 02 Mar 2014 15:05:37 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52476)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1WKCdc-0001Ft-H4
 for bug-gnu-emacs@HIDDEN; Sun, 02 Mar 2014 15:05:37 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1WKCdT-0002lF-9W
 for bug-gnu-emacs@HIDDEN; Sun, 02 Mar 2014 15:05:28 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:38622)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1WKCdT-0002kx-35
 for bug-gnu-emacs@HIDDEN; Sun, 02 Mar 2014 15:05:19 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 s22K5HHv008328
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Sun, 2 Mar 2014 20:05:17 GMT
Received: from aserz7022.oracle.com (aserz7022.oracle.com [141.146.126.231])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s22K5GqR010622
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
 for <bug-gnu-emacs@HIDDEN>; Sun, 2 Mar 2014 20:05:17 GMT
Received: from abhmp0013.oracle.com (abhmp0013.oracle.com [141.146.116.19])
 by aserz7022.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id s22K5GZd010618
 for <bug-gnu-emacs@HIDDEN>; Sun, 2 Mar 2014 20:05:16 GMT
MIME-Version: 1.0
Message-ID: <b3d29ce8-c0cb-442e-9e6d-fda3d349c778@default>
Date: Sun, 2 Mar 2014 12:05:17 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; reression: `set-frame-size' loses mode line
X-Priority: 2
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8  (707110) [OL
 12.0.6680.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

I've been looking at this regression for a while now. I've tried to
investigate.  I just spent a couple of days on it, without success.

The symptom, with my setup (and it is not clear just which parts of that
setup are minimally required to repro the bug), is this:

When `set-frame-size' is called for the current frame (it doesn't matter
what the WIDTH and HEIGHT args are, and PIXELWISE is nil) in some Info
nodes (I see the problem only in Info nodes, and not most of them), the
mode line disappears altogether.

That is, in place of the mode line I see only blank space with the same
color as the frame background.  The space seems to be there for a mode
line, but none is shown.

Forcing redisplay using C-l or M-: (force-mode-line-update 'all) has no
effect.  But calling `set-frame-size' (e.g., using `M-:') can bring
back the mode line.  It does not do so if I call it with the same width
and height (a no-op in terms of size change):

(set-frame-size nil
                (frame-parameter nil 'width)
                (frame-parameter nil 'height))

But it does do so if I use a width or height that is even slightly
different from the current value, e.g.:

(set-frame-size nil
                (1+ (frame-parameter nil 'width))
                (frame-parameter nil 'height))

I'm guessing that perhaps the Emacs code detects that there is no
size change and so does nothing.  And not that the particular size
where no mode line is shown is somehow problematic.

Support for that guess comes also from the fact that if I thumbify
and then dethumbify the frame, which changes its size and other
parameters and then changing them back to what they were, also restores
the mode line. IOW, the frame is shown with the same width and height
parameters (and other parameters the same also), and with the mode line
present.

I was able to narrow down the time frame when this regression was
introduced: This build, from 2013-12-14 does not have the regression:

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-12-14 on ODIEONE
Bzr revision: 115521 rudalics@HIDDEN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=3D/c/Devel/emacs/binary --enable-checking=3Dyes,glyphs
 'CFLAGS=3D-O0 -g3' LDFLAGS=3D-Lc:/Devel/emacs/lib
 CPPFLAGS=3D-Ic:/Devel/emacs/include'

And this build, from 2013-12-16 has the regression (as do all subsequent
builds):

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-12-16 on ODIEONE
Bzr revision: 115543 rudalics@HIDDEN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=3D/c/Devel/emacs/binary --enable-checking=3Dyes,glyphs
 'CFLAGS=3D-O0 -g3' LDFLAGS=3D-Lc:/Devel/emacs/lib
 CPPFLAGS=3D-Ic:/Devel/emacs/include'

I am sorry that I cannot provide more info, at least at this point.  I
have spent a *lot* of time trying to debug this already.  At this point
I am hoping that something in the info above will prove helpful.

I do not expect that you will be able to repro this easily, but perhaps
something above will ring a bell for you.  It is lucky, at least, that
the build window here is so short: two days.  I tried looking through
some of the development changes during that 2-day period, but I was not
successful in finding what might be the culprit.


In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2014-02-28 on ODIEONE
Bzr revision: 116606 rudalics@HIDDEN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=3D/c/Devel/emacs/binary --enable-checking=3Dyes,glyphs
 'CFLAGS=3D-O0 -g3' LDFLAGS=3D-Lc:/Devel/emacs/lib
 CPPFLAGS=3D-Ic:/Devel/emacs/include'




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16923; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.